Introduction

Thank you very much for using Hard Disk Sentinel software. Hard Disk Sentinel designed to monitor, analyse, report, reveal and fix possible problems related to the storage system: detect and monitor hard disks, SSDs, SSHDs (hybrid disk drives), pendrives, memory cards, SATADOM devices and even tape drives too. The main goal is to detect both health, temperature and statistical information, performance degradations and predict possible disk failure - and allow time to prepare for planned replacement of storage devices. By using this software, we can avoid data corruption or serious data loss.

Please read this documentation carefully. In the following chapters all functions and features of Hard Disk Sentinel will be described.

Device support

Hard Disk Sentinel supports not only hard disks, but numerous other devices including SSDs, flash media in general and also provides method to monitor Network Attached Storage (NAS) devices too. The goal was (instead of making separate tools for different devices) to provide one single solution with a standard environment, to allow users to diagnose, monitor, report and repair problems with all kind of storage devices. Using different tools for hard disks, SSDs and many other devices may require more resources and could be confusing - this is why it is better to have a single solution and a standard way to keep an eye on the disk drives storing valuable data.

Hard Disk Sentinel supports over 10000 different device models, hard disks, SSDs, hybrid drives, RAID controllers, internal/external enclosures and so.


Hard disks

Hard disk drives inside computers have one or more physical disks. The read/write head which is flying above this disk performs all read, write, delete operations.

As hard disk capacity increases, data stored on smaller and smaller areas on the disk surface. Any small (even microscopic) damage or dirt on the surface would highly reduce the chances to access important data. Disk drive internals are protected to keep dirt outside the disk chassis.

Accessing data sectors is not always completed without problems. It is possible that some areas of the disk surface is not readable or writable because of a small damage, scratches or dirt (even caused by a mechanical shock/damage, resulting small particless inside the disk drive). In this case, the hard disk marks this area as bad and it will never use these sectors again for any (read or write) operation. If this area previously had data, the hard disk tries to read and copy the data to a special spare area first. This procedure called reallocation. After the reallocation is completed, all access to the old area will be redirected to the spare area. The original (problematic) area of the disk cannot be accessed even after a complete reformat.

It sounds good - because the problem is automatically solved but the user will not notice anything about the constantly decreasing hard disk status until he will need to face an unusable hard disk and partial or complete data loss.

There are other possible problems can degrade the hard disk condition. High temperature, incorrect power or mechanical shock, vibration can seriously damage the hard disk. Many of such problems can be detected by using Hard Disk Sentinel and the data loss caused by the problems can be avoided.

S.M.A.R.T.

S.M.A.R.T. (Self-Monitoring Analysis and Reporting Technology) introduced by IBM. It was created to monitor the disk status by using various methods and devices. A single ATA hard disk may have up to 30 such measured values (attributes). Some of them directly or indirectly affect hard disk health status and others have statistical information like power on time, start/stop count, temperature and so.

Today all modern IDE/Serial ATA/SCSI/SAS/USB hard disks (and SSDs too) have S.M.A.R.T. feature. It is not really a standard - so the meaning of the attributes may be different from manufacturer to manufacturer. Because of this, a manufacturer-independent disk health analysing method is neccessary to determine the real status of any hard disk. Hard Disk Sentinel designed this way, please see the condition calculation methods section.

Many attributes are used by all manufacturers and they are used in the same (or near same) way. That's why for example it is possible to detect the temperature and the power on time of many hard disks. These values (and many others) are monitored and reported by Hard Disk Sentinel software.

According the S.M.A.R.T. specifications, when the amount of errors is high enough to reach the error-level threshold, the hard disk should work for at least 24 hours to perform the data backup. But in many cases this time is not enough so it is important to recognize problems and prepare before it's too late. Hard Disk Sentinel shows 0 (zero) % health and suggests immediate replacement of the disk drive when the error-level threshold reached. The problem is that many drives fail completely (or "just" data corruption / data loss happens) long before that. This is why it is important to monitor the status and do not wait this point, when the computer BIOS may also report disk problem on power on and also Windows may show disk problems. Usually this point is too late for a complete backup.

Note: some hard disk controllers or drivers may prevent reading and displaying of S.M.A.R.T. values. In these cases, the current health, temperature or other status cannot be determined for the affected hard disk drive(s). If this happens, the Support -> Driver Zone page on the website may be useful: designed to provide driver/firmware update for many devices, disk controllers which allow detection of disk status information. Using Report menu -> Send test report to developer option in Hard Disk Sentinel can help, as this way it is possible to check and advise about the possibilities. Also you may contact the manufacturer of the controller for an updated driver or firmware, especially if you use an external disk enclosure, RAID controller or similar. Hard Disk Sentinel has highest possible compatibility with these devices too (supporting dozens of RAID controllers from all major manufacturers), but sometimes it may be not possible to determine the S.M.A.R.T. status when such devices used.

SSD health, temperature

SSDs (and generally flash-based storage in memory cards, pendrives) work differently than hard disks: the memory cells in these devices experience wear during each write operations and each cells tolerate only a limited number of overwrite passes.

The "wear-leveling" feature of the SSD tries to hide/minimise this effect but generally the health of the SSD is (even if it has no problems at all) slowly but surely decreasing. Most SSD devices report the overall health of the memory cells by various attributes: if there are no (other) problems found, Hard Disk Sentinel reads these attributes to determine the complete health of the solid state device.

This is completely independent from software, Windows, restart, partitioning, formatting and so: as the amount of written data increases, the health slowly and surely decreases.

Some SSDs may have temperature sensors too (to provide temperature) but this may be not true for all models, so while health can be displayed, the temperature may be missing in the software if the SSD does not have temperature sensor and does not support temperature readout. When the S.M.A.R.T. page selected in Hard Disk Sentinel, showing the status information detected, there may be no "Temperature" attribute listed there.


Installation

Windows 10,8,8.1,7,Vista,2016,2012,2008,XP,2003,2000,NT4: no preparations required before installation of Hard Disk Sentinel, it can be installed immediately after the operating system first starts. There is no need to install any 3rd party component (no Visual Basic, VC++, .NET, JAVA or similar required at all). The installer of the software installs everything, it does not download any further components or so.

Windows 98/98SE/ME users: The operating system does not have S.M.A.R.T. driver loaded by default. Before installation, you need to copy the file Smartvsd.vxd from Windows\System folder to Windows\System\IoSubsys folder and restart your computer. Please install Hard Disk Sentinel only after this procedure. (The problem described originally on http://support.microsoft.com/kb/265854 - but it is no longer accessible.)

After download, Hard Disk Sentinel can be installed on any physical, non-removable hard disk. By default, it installs into the Program files folder. It is not recommended and not supported to install to a removable storage (for example, pendrive) because Hard Disk Sentinel periodically saves the current measured values to its database (in its installation folder). Because of this database it is possible to retrieve and graphically display the previously measured values.

During the installation, the icon of the application created on the desktop and on the quick launch pad. Hard Disk Sentinel is launched automatically after the installation - if the user does not disable it.

After restart, Hard Disk Sentinel automatically start with the system when the user logs in. It can be disabled at Configuration -> Preferences -> Load with Windows option (so then it is required to start manually) or configured to start up but without displaying the main information window by disabling Configuration -> Preferences -> Display main window when started option (in the registered version only). It is recommended to have Hard Disk Sentinel running constantly in the background to allow constant monitoring, immediate alerting by the configured alerts, reporting of any (even minor) problem or temporary overheat condition - which may otherwise remain unnoticed.

Portable version

Hard Disk Sentinel Professional Portable version (available as separate download from the Download page) can be extracted to removable drive (usually a pendrive) and can be launched from that under Windows systems to diagnose, monitor, test, repair disk drives without installation. The Portable version saves all status, statistics, settings, license to this removable drive (pendrive).

In terms of licensing, the Portable version is also Hard Disk Sentinel Professional - so with a single Hard Disk Sentinel Professional license, it is possible to select if we want to use the installed OR the Portable version. For using both, two separate license required (or Hard Disk Sentinel Professional Family license). The amount of disks and systems to be diagnosed by the Portable version not limited (as long as the Portable version is used only on one system at any given time.)

Note: only one version (installed or Portable) can be active at any given time. So if the computer has installed version too, it needs to be closed by File -> Exit first before starting the Portable. The Help -> About box can be used to verify the current version, it shows the word "PORTABLE" if that version used.

Defaults

After startup, the main window displayed, showing list of detected disk drives, their status in the left area and detailed information about the selected hard disk drive or SSD. All functions, features of Hard Disk Sentinel can be accessed from this window.

By default, the application does not make any alarms/warnings but the newly found problems are logged into the hard disk log.


Components of the application

The main components of Hard Disk Sentinel are described in the following sections:

  • The status window

  • Tray icon

  • Disk icon

  • Quick menu

  • Main window

  • Configuration

  • Configure and execute backup tasks (available only in the PROFESSIONAL version)


Status window

By clicking on the "Show Status Window" button (3rd button in the button bar of the main window) it is possible to toggle displaying a small status window. It contains the models, temperature and condition values of installed hard disks. By default, this status window is displayed always-on-top, above all other windows. This way it is possible to monitor the current status of the disks.

  • When the mouse pointer is moved over the status window, a small icon (X) is displayed in the upper right corner of the status window. The status window will be hidden if the user clicks (with left mouse button) on this icon.

  • When the left mouse button is clicked on the status window, the list of logical drives are displayed in the bottom of the status window to offer a quick overview about free space available on each disks. If the user clicks on any logical drive, it is automatically opened in Windows Explorer. A new left click on the status window hides this logical disk information panel.

    Status window with logical disk information

  • It is possible to move the status window to any screen position by clicking and holding left mouse button and moving the mouse. By default, the status window cannot be moved outside the screen (it is aligned to the screen edges) but it can be disabled. This way the status window can be moved (partially or fully) outside the screen.

  • After a (left) double click, the details of the hard disk under the mouse pointer is displayed in the main window of the application.

  • By using the right mouse button, the quick menu is displayed. (It can be displayed also by a right click on the tray icon. This is useful if the status window is hidden.)

Note: The layout and information displayed in the status window can be configured. The application automatically saves the modifications and the position of the status window and next time the window will be displayed as previously configured (or not displayed at all - if the status window was hidden previously).


Tray icon

    Tray icon showing information

In the lower right corner, next to the clock Hard Disk Sentinel can display the status of hard disks by using tray icon(s). After a fresh installation, an icon with temperature information is displayed for each hard disks (if the temperature can be detected on the hard disk). The application displays high and higher temperatures by using different colors: below 40 Celsius the background of the icon is green, between 40 and 50 the temperature icon is yellow and above 50 it is red. Of course these thresholds and colors can be configured based on the preferences of the user.

When two or more disks have tray icons, it may not be clear which icon belongs to which disk. The icons are displayed in the order of the hard disks (from left to right) but in some cases, these icons can be rearranged because of the operating system or other application using tray icon(s). If the mouse pointer is moved above any Hard Disk Sentinel tray icon, the number, model, the temperature and condition and other information (everything displayed in the status window for the disk) is displayed as a hint.

If the user double clicks (with left button) on any disk tray icon, the main window is displayed with detailed information about all installed hard disks.

Right click on the tray icon displays the quick menu with the most frequent used functions.


Disk icon

Disk icons

On the icons of the logical disks Hard Disk Sentinel constantly displays the status of these disks (health status which can be good, acceptable and bad) and the amount of used space. This way in any application (for example, Windows Explorer) the current status can be easily read.

Hard disk health and used space displayed on hard disk icons

This option is especially useful if two or more hard disks are installed or if the status window cannot be displayed. The used space is displayed in 16 different steps. As used space on the logical drive is increased, the band turns yellow and then red.

Note: The used space display depends on the free disk space threshold setting. It is possible to configure the free space thresholds differently for each logical disks. If a higher free space threshold is configured, the band will reach yellow or red areas sooner.

A symbol according the hard disk health is displayed at the lower right corner of the icons. By default, this symbol can be a green tick if the health is better than 50%. Between 25% and 50% a yellow exclamation mark is displayed and below 25% a red X is displayed on the icons of logical disks. Of course these threshold values can be configured.

Note: the health symbol is displayed only on disk drives where it is possible to detect the current health status. On logical disks associated with other drives (for example pendrives with no status information) and on remote drives it is possible to display used space information only. (This option is disabled by default, it can be enabled on the disk control configuration panel). The health information is not displayed under Windows 98/98SE/ME.

To display the current status of the disks, it is required the periodically examine the status (health, used space) of the disks. Slower devices or drives (for example, some type of card readers or network drives) may require more time for detection and this may increase response time of the application or slow down the system. In these cases, this option should be partially or totally disabled on the affected drives. This can be configured on the disk control configuration panel.

Hard Disk Sentinel should be active (running) to display the health symbol and the used space on the logical disk icons. If it is not running, these extra information cannot be displayed.


Quick menu

This menu is displayed if the user clicks the right mouse button on the status window or on the tray icon. From this menu, it is possible to:

  • Show or hide the status window (the proper option is available).

  • Open the configuration page and set preferences.

  • Display temperature statistics of a hard disk.

  • Display detailed information about a hard disk in the main window (the previously selected information panel will be displayed).

  • Display this help.

  • Display the About window of the application which contains the current version installed, the name of the registered user, a quick link to the webpage of the application and the name and e-mail address of the person who made the interface translation.

  • Enable or disable the sound alerts in the current session. If the sound alerts were enabled on the Alerts page, when a problem is found (for example, overheat, low disk space, etc) the application will make an audible alert. (Optinally, this alert can be repeated as long as the user will not confirm that he knows the problem by clicking this option or by using the same option in the main window.) By using this option, the sound alerts can be disabled for the current session. After restarting the application, the sound alerts are automatically enabled again - it is better to use this option than disabling the sound alerts on the alerts page.

  • Close Hard Disk Sentinel. This will stop running of the application and later it will not monitor the status of the hard disks. Note: on the next start, the changes in health since last run will be examined and logged into the log of the disk. This way if Hard Disk Sentinel is not able to run constantly but it can be executed periodically, it can be used to verify the status of the disks and the changes (degradation in health).


Main window

From the main window of Hard Disk Sentinel it is possible to access all features and functions by using the main menu or the quick buttons.

Main window with hard disk information

The upper left area contains the list of detected physical disk drives with a quick info about the status (health and temperature). The list contains hard disks, SSDs, hybrid drives and so, including pendrives and memory card readers. Generally the order of the drives follow the list of disk drives as appear in Windows Disk Management to help identification (except when RAID configuration found by Hard Disk Sentinel and the RAID members displayed - while Windows Disk Management shows only the RAID volume), so devices (even empty card readers) are displayed here by default. After right click, it is possible to customize the list: specify if smaller/larger buttons should be displayed (with different amount of information on them) and also it is possible to uncheck devices to hide them from this list.

The lower left area shows the list of logical drives and their total/free capacity. In addition to physical disk drives, this may contain other drives (for example remote/network drives). By right click (as for the physical disks) it is possible to customize the list.

The horizontal splitter between the top and bottom lists can be used to modify the size of the different panels. If any physical or logical disk is selected by the left mouse button, the details of the disk or drive are displayed on the right, larger information panel.

In the selector panels, the list of drives are updated periodically. This way the quick information of the disks (temperature, condition or free space) reflect the actual, most recent status.

The splitter between the selector and the information panels can be used to change the sizes of these two areas. Note: the application automatically saves the position and size of this window and the position of the splitters. This way next time the window will be displayed as it was previously used.

On the information panel, the details of the currently selected physical disk or logical drive are displayed.

The main menu has the following options:

  • File: from this menu, there is an option to perform automatic update to the latest version (if available), Open status of offline disks, examine the Windows volume/RAID status (for example to verify the status of a logical drive or software RAID), inspect the list of drive connection/removal event log to check when drives connected/removed, both during the active periods of Hard Disk Sentinel and also which happened in inactive state (since the software last started), Configure NAS Disk Monitoring or completely close (stop) Hard Disk Sentinel.

  • Disk: it is possible to adjust disk features: adjust the level of Acoustic Management Configuration, Advanced Power Management or Free-Fall Control sensitivity. The features (if not supported by the drive) are greyed (not selectable). From the Disk menu, it is also possible to start disk tests, including the hardware "built-in" self tests, random seek test and surface tests too. Hard Disk Sentinel Professional has wide range of tests, including simple read scan, overwrite (zero fill, fill with random data or any specific pattern), disk surface reinitialization, disk refresh and disk repair tests, with highly customizable options. It is possible to start disk tests on multiple drives too with some single clicks. By the Online warranty check, it is possible to verify the current warranty status on the webpage of the manufacturer, based on the current disk model and serial number, which displayed on the Information page in Hard Disk Sentinel.

  • View: it is possible to select which information panel should be displayed for the selected hard disk.

  • Report: a complete text or HTML report can be created by using these options. It is possible to just save (and open immediately) the report or to send it immediatelly in e-mail to any address. By default, the configured recipient address is displayed and the configured mail options are used to transfer the report e-mail. It is possible to save an Authentic disk report which is a certified (HTML format) report to confirm the status one or more disk drives. Designed to sell and buy used disk drives, as it is possible to save (and then verify) the authenticity of the report, to confirm the complete status (including possible errors and lifetime statistics: power on time, start/stop count, amount of written data of the drive when sold.

  • Configuration: the features and functions of the application can be configured in this window. The options are arranged into different categories.

  • Help: the current, complete help or the About window can be displayed. Also it is possible to contact and initiate secure ordering of a registration key (a 15 digit number, the license code) - and also option to enter this received registration key.

When the mouse pointer is moved over the quick buttons under the main menu, the function of the buttons are displayed in a hint window. By using the buttons, it is possible to do the following tasks:

  • Refresh re-detect the complete status of all hard disk drives, regardless of the configured detection frequency, just like if the software would be restarted.

  • Re-enable alerts clear the list of handled alerts, so the alerts will be sent again, the sound alerts will be played again, etc.

  • Show / hide status window hide or show the status window.

  • Modify acoustic level configure acoustic level of the hard disk (if supported). Higher acoustic level means more noise and faster seek performance, lower acoustic level means less noise but slower seek performance.

  • Seek test test drive seek performance, noise and temperature level. The test can be effectively used to "stress" the hard disk by increasing its temperature.

  • Surfece tests start different type of hard disk tests to confirm the status or detect and repair problems.

  • Drive tests execute hard disk internal self tests to verify critical components and reveal any hidden problems.

  • Warranty check verify warranty of the current selected hard disk on the website of the manufacturer.

  • Create and save report save full report. The type of report (text or HTML) can be seletected.

  • Send report in e-mail send full report in e-mail. The type of report (text or HTML) can be selected.

  • Send test report to developer send test report to developer to help further development. Useful to verify problems or detection issues, report possible compatibility issues (if any) and ask help abuot how to improve the current situation.

  • Configuration open Configuration window.

  • Enable / disable sound alerts disable or enable sound alerts for the current session. If "Repeat sound alert" option is enabled, this button can be used to confirm the sound alerts and disable further sound alerts.

  • Help open the current help.

  • About display the About window.


Physical disk information

There are many different information pages available for a physical disk. It is possible to change the view between the pages by using the tabs or by selecting the page from the View menu.

  • Overview

  • Temperature

  • S.M.A.R.T.

  • Information

  • Log

  • Disk performance

  • Alerts


Overview

The current performance and health values of the selected hard disk are displayed.

Below the values, a text description of the current status is displayed. Hard Disk Sentinel analyses the S.M.A.R.T. attributes provided by the disk and by evaluating these values, it creates and displays a textual rating which may contain the number of problems encountered during the lifetime of the hard disk. This includes but not limited to the amount of bad sectors, weak (pending) sectors, spin up problems, data transfer (communication) errors, etc. depending on the device type (hard disk or SSD), connection (IDE/SATA/SCSI/SAS/USB/NVMe M.2 and so). The background color of the text description area (green, yellow, red) indicates the health of the disk. The text area may contain tips to correct the problems (and perform backup if the health suggests that) so it is recommended to read the details.

In the middle, some statistical information like the power on time and estimated remaining lifetime values are displayed. The process of measuring and calculating these values is described in the appendix. In addition, the total start/stop count and/or the total amount of written data may be displayed there, if applicable and the device provides such information.

Some special devices, like industrial (micro) SD cards require special attention and need to first configured for monitoring. This procedure is completely safe for stored information and does not affect the operation, capacity of the device in any ways, just tells Hard Disk Sentinel how to perform detection and display of status information. This can be enabled by clicking on Control device-specific detection below the text description.

At the bottom of the panel, the graphical history of the previously measured disk health values is displayed. Hard Disk Sentinel saves and displays the daily worst (lowest) health value measured every day and these values are displayed on this graph. If the application is used for a longer period, the scroll bar under the graph can be used to scroll to a previous date. By using the small disk icon, the graph can be saved as image (BMP or JPG).

Custom health thresholds

Custom health thresholds

Double click on the Health % bar opens the Custom health thresholds window, where it is possible to specify custom yellow (warning) and red (alert) levels for this particular device, which is used when determining if the device should trigger alert (instead of the global thresholds set at Configuration: Thresholds / tray icon page. These values are useful (for example) to specify different, custom health thresholds for SSDs (where health % decrease is normal) and keep the default health thresholds for hard disks).


Temperature statistics

On this page it is possible to examine the current, daily average, minimum and maximum temperatures values and check the history of recorded values. These can help to spot on (for example) a possible failed fan and the resulting higher temperatures.

Based on the temperature values, a textual rating is displayed (like the rating based on the disk health). In case of a high temperature, the application may give tips to avoid problems.

In some cases the temperature sensor inside the hard disk may not provide correct values. It is recommended to verify the accuracy of the temperature sensor and perform the temperature calibration procedure (this hint displayed until a temperature offset (even 0) is not set for the hard disk). This may be more important for older hard disks, usually newer disk drives do not require temperature calibration.

At the bottom of this page the most recent values (measured in the current session) are displayed. It is also possible to examine the average and the minimum/maximum temperatures measured on the previous days. If Hard Disk Sentinel used for a longer period, the scroll bar under the graph can be used to scroll to a previous date. By using the small disk icon, the graph can be saved as image (BMP or JPG).

Custom temperature thresholds

By the upper right corner, next to the "Current temperature" bar, there is an option: "Set custom temperature thresholds". By this option, it is possible to specify custom yellow (warning) and red (alert) levels for this particular device, which is used when determining if the device should trigger alert (instead of the global thresholds set at Configuration: Thresholds / tray icon page. These values are useful (for example) to specify higher, custom thresholds for NVMe SSDs (which usually work on higher temperatures) while keeping the default thresholds for hard disks and prevent "overheat" alert issued for the SSD.

Custom temperature thresholds

You may access this "Custom temperature thresholds" dialog by double clicking on the current temperature bar (showing the current temperatue) on the top of the Temperature page too.


S.M.A.R.T.

On the S.M.A.R.T. (Self-Monitoring Analysis and Reporting Technology) page the list of S.M.A.R.T. attributes are displayed for the selected disk drive. Depending on the drive type, connection, different kind of attributes and different sections/values displayed. These provided by the hard disk (or SSD) to reflect the actual status. The list of the attributes defined by the manufacturer - so not all hard disks contain all attributes. The list is fixed, it is not possible to add or remove attributes after the hard disk left the factory. The set of attributes may vary on different hard disks of the same manufacturer but same type hard disks usually have same attribute lists (there may be exceptions, as firmware updates may add/change attributes).

S.M.A.R.T. attribute details, flags and trends for selected attribute

From left to right, the list begins with the identifier (number), it can be between 0 and 255. If the attribute directly affects hard disk health status and it can reach a critical level, Hard Disk Sentinel displays a green tick mark (attribute OK) or red X (attribute is not correct) before the number.

Then the name of the attribute is displayed - if it is not unknown. Most attributes are widely used by all (or almost all) manufacturers but the value and meaning of some attributes are unknown because the manufacturer does not release such information.

The Threshold column contains the threshold value for the attribute. If the Value column contains a number which is smaller than the threshold, the attribute is not correct. If the attribute is a critical one, the red X is displayed in this case at the start of this line. In the Worst column, the worst value ever measured is displayed.

In the Status column the current status of the attribute is displayed. It can be:

  • OK: the value is same or greater than the threshold. There is no problem.

  • OK (Always passing): the threshold is zero so it is not possible to have smaller value. Usually displayed for the attributes indicating only statistical information.

  • Fail: for a critical attribute the value exceeded the threshold (value is smaller than threshold).

  • Usage limit exceeded: for a non-critical attribute the value exceeded the threshold (value is smaller than threshold).

In the Data column the raw measured values are displayed. These values are not evaluated by the hard disk. In contrast, the Value column contains an evaluated number which depends on the manufacturer and the hard disk. These values are displayed in hexadecimal format. It is possible to select decimal values from the menu displayed after a right click on the S.M.A.R.T. table.

When examining the disk condition and calculating health value, it is recommended to check the raw values because this way it is possible to have an objective, manufacturer-independent status of the hard disks.

In the Offset column, it is possible to specify an offset value (positive or negative). Hard Disk Sentinel will add (subtract) this number for the attribute when evaluate it. This can be used for example during the temperature calibration procedure. There are many options to set the offset value:

  • By using - and + icons: the number decreases or increases by one.

  • By clicking on the number between the icons: the number can be specified directly in a small window.

  • If the correct attribute is selected, the + and - buttons and the ENTER can be used to specify the offset value.

Note: it is recommended to specify the offset directly by clicking on the number or by pressing ENTER.

The checkbox in the Enable column can be used to enable/disable the attribute. If an attribute is disabled, it does not count into the health and performance values. Changes (degradations) of disabled attributes will not be saved into the hard disk log. Because of these, disabling any attribute is NOT recommended.

Attention: by using the offsets and the Enable options, the hard disk status may be incorrectly or imprecisely displayed. Only advanced users should modify any of these options.

Note: changes of the offsets and Enable options will be saved only in the registered version. If the unregistered version is used, the changes in such options are automatically discarded when the application is re-started.

A text description (with the meaning and importance of the attribute) is displayed in as hint when the mouse is moved over an attribute. After a right click on the table, a pop up menu is displayed with option to keep this description visible for each attributes. The complete list of known S.M.A.R.T. attributes is described in the appendix.

By using the right mouse button, it is possible to copy the information displayed in the table to the clipboard. Later it is possible to paste this information into a text file, e-mail or document.

Attribute graph

Under the table, the graphical history of the currently selected S.M.A.R.T. attribute is displayed. On this graph it is possible to examine how the attribute changed. The two endpoints of the graph reflect the first measured value (installation day) and the most recent (current) value of the attribute. All other days between these two dates are selected automatically.

Next to the graph, the status flags of the attribute are displayed. All attributes may have one or more status flags. They indicate the main purpose of the attribute. These can be:

  • Critical: the value may decisively affect the health status of the hard disk (eg. number of sectors moved to spare area).

  • Statistical: the value does not affect directly or indirectly the status (eg. number of power cycles).

  • Performance: the value may affect performance or speed (eg. power on time, seek time).

  • Error-rate: usually correctable attributes where the value does not affect directly the health of the hard disk (eg. seek error rate).

  • Event count: counter value, increases when some events or problems occur (eg. new bad sector is found).

  • Self Preserving: the value of the attribute is under continuous monitoring.

Attribute graph views

It is possible to display two different kind of numbers. By default, the Display data field is selected, so the raw, manufacturer-independent numbers are displayed. The default mode can be selected on the advanced options configuration page. The differences between the methods are described here.

Display data field

These values increase in case of a problem because they actually contain the number of problems (for example, number of bad sectors) or events. The graph is ideal if the trend is stagnating.

Many attributes (for example, power on time, drive power cycle count, etc.) are always increasing. This will make the trend of the graph for these attributes to increase also, but it is completely normal. For some (especially statistical) attributes, the number can be very high and then it can fall, it is normal also. The graph is important for the critical attributes (for example reallocated, bad sector count) where the analysis of the previous values can reveal problematic days or period in the lifetime of the disk.

Display vendor specific values

By examining the number of the numbers in the "Value" column, it is possible to check the trend of the manufacturer-dependent values. These values decrease in case of a problem until they reach the threshold value for the attribute. If the attribute is critical and the threshold is reached, the disk has S.M.A.R.T. problem, at this point the hard disk should be immediately replaced. At this point, the manufacturers should replace the disk under the terms of warranty.

Attribute trend: estimated reach of threshold

A dark blue line connects the real measured values. At the bottom of the graph, the threshold is displayed with a yellow line.

If the trend is decreasing, a purple line connects the last measured value with the threshold. This line is drawn based on the previous values (blue line). It indicates an estimated degradation of the hard disk in the future: if the attribute value will be decreased as before, the threshold exceed date (when the value will reach the threshold level) can be easily read.

For example (please see image above), it is possible to read that the hard disk is first examined on 28 Oct 2006. At that time, the value of the Reallocated sectors was 100. On 9 Nov 2006, this value is only 95 (because of many Reallocated sectors, the value changed from 100 to 95). If this trend will continue, this attribute will reach its threshold (36) on 31 Mar 2007 (it is displayed on the right side also so it is easier to read). It means on this date (or sooner) the hard disk must be replaced because of the increasing number of hard disk errors.

The differences between the two methods are described here.

Note for SCSI hard disks, the S.M.A.R.T. panel contains the statistical information provided by the SCSI hard disk (for example: total bytes read/written, number of read/write errors etc). The graph under the list can be used to examine the trend of any such attribute.

By default, the graph shows values measured at different dates when Hard Disk Sentinel was active and could record actual status. The dates are automatically selected and the graph is adjusted to show the attribute changes, trends.
Double click on the graph to display all possible dates. To export all displayed values (in CSV format) with the appropriate dates when they measured, right click on the graph and select the Save option.

Click between the S.M.A.R.T. table and the graph and drag the mouse to resize the panels.

Attributes on different devices

SCSI, SAS hard disks and SSDs, NVMe SSDs and other special devices (like industrial memory cards, tape drives) usually provide completely different set of attributes and in different format. There is no Value/Threshold/Worst fields (which present on IDE and Serial ATA devices), just attributes and their values. Hard Disk Sentinel identifies the status, the error counters and statistical information for these devices too.


Information

On the information page, many details of the hard disk are displayed. These include but not limited to: manufacturer and model type, revision (internal verion) and serial number of the hard disk. These can be used to verify and identify the hard disk.

The logical drive(s) and NTFS mount points (if configured) associated to the disk are displayed. This may be helpful when there are lots of hard disks installed and there are many logical drives in the system.

By using the right mouse button, it is possible to copy the information displayed in the table to the clipboard. Later it is possible to paste this information into a text file, e-mail or document.

IDE, Serial ATA hard disk

IDE and Serial ATA hard disks are controlled and identified via the ATA interface. Hard Disk Sentinel detects and displays the physical characteristics (for example, the total number of sectors, the error correction bytes, etc). The Buffer size can be important: it is the size of the internal disk cache. When performance is important, it is recommended to use hard disks with larger buffer sizes.

The maximum and currenlty selected Ultra DMA modes are displayed. The latter determine the current theoretical maximum data transfer rate between the disk and the host. Of course larger value is better.

If the current Ultra DMA mode is (0), the system does not use the Ultra DMA transfer mode and works only in PIO (Programmed I/O) mode. This drastically decreases the performance of the disk and the whole system because the processor must wait for each read/write operations to complete. It is recommended to examine the configuration and fix this problem (for example by re-arranging hard disks and optical devices or using new cables). Ultra DMA mode 33 (2) means that an old IDE cable is used with only 40 wires instead of newer IDE cables with 80 wires. It is not recommended the use of round or too long cables.

Note: on some controllers or systems it is possible that the drive operates in PIO mode but the Ultra DMA mode was previously selected and this is displayed in this window. If you are not sure but you experience slow performance, please verify the current setting in the device manager by selecting the properties of the (IDE) controller.

For SATA hard disks, Hard Disk Sentinel also verifies and reports (if the drive supports) the theoretical maximum and the current negotiated transfer speed. This may be useful to check if the performance of a disk drive (usually an SSD) is limited by thee current disk controller.

Note: Hard Disk Sentinel checks if the ATA information table is completed and the checksum of the table is correct. The latter ensures that the information detected and displayed are correct. If this is not true, it is possible that some values may not be correctly reported by the hard disk (for example the performance value, the UDMA transfer mode and serial ATA properties). There is a warning displayed in these cases:

ATA control bytes

Invalid ATA Control Byte or ATA Checksum Value does not affect the detection and display of health and temperature values.

Acoustic management

Acoustic management of disks

It is possible to view and modify the acoustic settings, if this feature is supported by the hard disk. Higher acoustic levels will enable faster (but louder) operation. Setting a lower level will make the disk slower and more silent (the read/write head positioning will be slower and more silent). The acoustic setting has no effect on the drive rotation speed. If the drive supports acoustic management, it is possible to change the level by clicking on Adjust.

The most important ATA features are displayed, so the extra functions can be checked (for example, security mode, power management, etc).

S.M.A.R.T. Details

S.M.A.R.T. self tests (hardware tests)

The results and details of hardware self-tests of the hard disk is displayed in this section. The supported self-tests can be executed here by clicking on Click To Start. The estimated time of the self-tests are displayed (the manufacturer provided these estimates) but the self-tests may take much more time to complete than the displayed. The Short self-test tests the functionality of main hard disk components (head, servo, electronics). The Extended self-test and Conveyance self-test options (if supported) execute manufacturer-specific test steps. The Extended self-test verifies the complete surface of the hard disk. During this operation, the problematic areas (if any) are verified, so it is recommended to periodically execute this test.

During the test, a window is displayed with the current status of the disk. When the test is completed, the success or failure (and the failing element, which can be servo, electronic, head, etc.) is displayed. During the self-test the hard disk can be used. Usually the HDD LED is dark during the tests but it may be audible that the hard disk is operating. Read/write operations during the test may slow down the test - and vice versa: because of the test the read/write operations may be slower, so it is recommended to execute test in idle periods.

Note: the Extended and Conveyance self-tests (if supported) can be used only in the registered version.

SCSI hard disk

For a SCSI hard disk the information required to identify the hard disk are displayed. The vendor provided string and the status of the failure prediction function are also displayed with the detected raw ASC and ASCQ values.

On the Information page, further device-specific details are displayed for SCSI, SAS hard disks and SSDs, including features, functionality, optional features and so.


Acoustic levels

Acoustic level configuration

It is possible to view or modify the acoustic settings of an IDE/Serial ATA hard disk if this feature is supported by the disk. Higher acoustic levels will enable faster (but louder) operation. Setting a lower level will make the disk slower and more silent (the read/write head positioning will be slower and more silent). The acoustic setting has no effect on the drive rotation speed.

If supported by the disk, it is possible to modify the acoustic level in this window. By using the slider, the user can choose which is important for him (silent or fast operation or he can select a balance between the endpoints). The recommended acoustic level (determined by the manufacturer) is displayed. Setting any acoustic level will not affect the health of the hard disk.

If two or more hard disks are tested and compared (for example, in a benchmark) all disks should have the same acoustic level configured (eg. fastest or slowest) to get accurate results.

Note: the acoustic level configuration highly depends on the capabilities of the host (controller, motherboad) and the installed drivers. If the controller or the driver does not support this feature, an error message is displayed and the acoustic level remains unchanged. Using different controller or changing disk controller driver may help in this case. Some hard disks only offer two values on the two ends of the slider (so setting a middle level may switch to the end) while other disk drives may allow adjusting to balanced setting.

Generally hard disks should preserve (keep) the setting configured across power cycles, so after power OFF/ON cycle, the configured value should be used. However, most hard disks reset the value on power cycle. Hard Disk Sentinel has an option called Automatically adjust the setting on restart option when you configure / adjust APM setting: so then Hard Disk Sentinel automatically re-adjusts when required (for example on next startup if the device seems forgot the value adjusted).

The same configuration and settings (and note about the Automatically adjust the setting on restart option) is applicable for other disk features, like the Advanced Power Management setting and Free-fall control too.

By adjusting the Advanced Power Management setting, we can control if the drive should preserve power (and park/spin down in all possible situations) or to keep spinning and prevent parking even in idle situations. Many drives park heads very frequently by default (which may reduce disk lifetime for a minimal power save) so it may be better to configure the rightmost value (FEh - highest power consumption) with Hard Disk Sentinel to prevent parking/spin down and increase disk lifetime (if supported by the drive and applicable, for example disk drives used in desktop systems). Note that this setting is completely independent from the Windows power management (hard disk spin down timeout) setting.

By adjusting the Free-fall control sensitivity (if supported by the disk drive) we can tune how quickly the drive should move the heads away from the surface to the parking area when it detects acceleration (usually falling disk/system) to avoid disk failure. Some notebook hard disks support this function and allows adjusting the sensitivity - usually they provide an attribute "Free-fall event count" on the S.M.A.R.T. attribute list too, to count how many times the drive experienced such events.


Log

For each hard disks installed in the system, Hard Disk Sentinel maintains a log. The degradations of the data field of the most important S.M.A.R.T. attributes are saved into this log. These attributes are:

  • 5: Reallocated Sectors Count.

  • 10: Spin Retry Count.

  • 196: Reallocation Event Count.

  • 197: Current Pending Sector Count.

  • 198: Off-Line Uncorrectable Sector Count.

  • 199: Ultra ATA CRC Error Count (data transfer errors).

If a hard disk does not respond to the query of Hard Disk Sentinel for a longer time, it is also logged (if this function is enabled on the advanced options page).

All entries have the exact date and time, the attribute identifier and the previous and new raw values of the attribute. It is possible that two or more attributes have changed since the previous detection (especially if Hard Disk Sentinel is started only occassionally), creating two or more log entries at the same time.

It is possible to configure the application to send/make alert if a new entry is added to the log. This way if any new problem is detected by Hard Disk Sentinel (which may change the disk condition), it can alert the user about it. This feature is available only in the registered version.

It is possible to disable some attributes on the S.M.A.R.T. page of the disk, by using the option under the "Enable" column. The changes of disabled attributes will not be saved to the log (they will not generate alerts) and they do not affect the disk health value.

Note: The current version of the log stores the most recent 50 problems only. After this, the oldest problems are discarded.

Note: The above information reflects the original design of Hard Disk Sentinel. Depending on the actual disk, device connection/model, different attributes and their change/degradation may be also reported on the Log page, as different devices (hard disks and SSDs) may have further (or completely different) attributes which are important to monitor for changes.


Real time performance

On this page, the amount of transferred (read and written) data are displayed both in the current session and since installation. By using this, the daily average write and read amount values are displayed also.

Double click on the displayed installation date to configure installation date for the current hard disk device, allowing the daily read / write statistics to be calculated from the specific installation date.

Hard Disk Sentinel continuously monitors the current write and read speeds and it checks how the current usage is stressing for the hard disk. This is displayed in a percentage (%) value, just like the user can examine the CPU usage in the task manager.

When Hard Disk Sentinel detects a write operation, an orange "led" and the current write speed are displayed. In case of a read operation the read speed and a light blue "led" are displayed. Of course these colors are independent from the hard disk health status.

Based on the current transfer rate and the current disk usage the application estimates a possible (theoretical) maximum transfer rate, which may be reached as a peak transfer rate for a short time. This value is calculated by this formula: (estimated max. transfer rate) = (current transfer rate) / (current disk usage %). For example, if the disk is transferring data with 20 MB/sec and the current disk usage is 50%, then the estimated maximum transfer rate is 40 MB/sec. To increase precision, the values calculated by low disk usage are automatically ignored. This is a theoretical maximum value, some devices, caches or other applications may affect this value.

The graphs on the bottom show the actual value of disk activity / transfer rate with light blue line and an average value with red line (average of the last measured actual values).

For example, if you start a copy operation, you may see that the cyan line jumps immediately (reflecting that the operation is active) and the red line follows it slower. This average is useful in case of high number of disk operations at the same time (for example if different software constantly access the hard disk) as then this average may reflect the disk activity / transfer rate better - instead of the constantly changing actual values.

The current disk transfer rate and the disk usage graphs can be useful in many cases. For example:

  • When using two or more hard disks, it can be examined which disks are active and which speed they are operating. Eg. if the system is installed on the first hard disk and the other hard disk(s) have an application which generates huge traffic, the disk usage for the application can be checked easily. During a constant load, the current usage of the system hard disk can be also examined, revealing too much virtual memory usage.

  • During a copy between two different hard disks. The transfer rate and speed of the two disks can be compared and this may reveal which drive is slower than the other.

  • During burning data to optical storage: to verify the real data transfer rate (burn speed) and to check how big the disk usage is. Lower disk usage means that a higher burning speed can be selected.

  • On a server (file or database server with huge load) it is possible to examine the usage and the transfer rate of the disk(s). This will help the administrator to decide if a new (faster) hard disk is required in case of adding new clients.

  • If during a constant speed operation (for example burning to DVD) the disk usage is constantly rising and falling (there are many spikes in the graph), the data on the hard disk may be very fragmented and defragmentation is recommended. (also too high virtual memory usage may cause this problem).

Note: the real time performance monitoring depends on the current operating system. It is not available under Windows 95/98/ME. On some external disks (for example, pendrive or memory card) this function is not supported.

Note: Real-time performance monitoring depends on Windows performance counter objects function, it is independent from the actual health status of the hard disk. If this function is disabled in Windows or the performance counters are corrupted or missing, the Real-time performance monitoring is unavailable. For more information, please check No Performance information displayed. What is wrong? section in the Frequently Asked Questions page.


Alerts

The alerts generated by the hard disk are listed on this page.

The list contains both the event type (overheat, low health, failure predicted, etc) and the event date.

Only events with at least one associated alerts (sound alert, e-mail, etc) are logged and displayed in this list.


Logical drive

Logical drive information

On the information panel the details of the selected logical drive are displayed, including the associated physical hard disk(s) (in case of a striped or mirrored volume the logical drive may be associated with more physical disks), what is the volume type, name, serial number. The total and free space information are also displayed in this window.

Hard Disk Sentinel also displays the partition style (MBR or GPT), volume type, partition alignment (to help in case of performance issues when drive with 4 KBytes sectors (4K drives) used. Hard Disk Sentinel shows the allocation unit (cluster) size (which is the smallest section used by a file if its size is smaller than this value) and total, available, free allocation units too.


Open status of offline (no longer connected) disks

By default, Hard Disk Sentinel detects and displays all drives currently connected to the actual system. Hard Disk Sentinel saves the status, changes, logs, statistics about these drives, so can provide details about the history of them.

When a disk drive removed, no longer accessible, disconnected, the previously saved status information still present and by using the Open status of offline disks function, we can re-load the last known status and examine possible changes, degradations, logs, statistics - just like if the drive would be still connected and actively monitored.

In this window, it is possible to select any disk drive(s) to be read this way. Then the drive appears with dark blue color in the upper left area (the list of physical drives) in the main window, indicating that it is not actively monitored, no longer connected (offline) but can be used to review its state and history.


Configure Network Attached Storage (NAS) disk monitoring

In addition to monitoring, diagnosing disk drives directly connected to the actual configuration, it is possible to monitor drives connected over the network: to monitor Network Attached Storage (NAS) devices. By default NAS devices provide no ways to identify the actual hard disk model, the temperature, health and further status information - but by extending the function of the NAS device, it is possible to create periodic report(s), called Status source on the NAS itself, which can be read, interpreted and displayed by Hard Disk Sentinel. This way drives in the NAS can be monitored like if they'd be connected directly to the actual computer. Network attached storage drives displayed with light orange color in the list of physical drives in the main window.

Please check the website: How to: monitor Network Attached Storage (NAS) status for detailed information, instructions, step-by-step guide and images illustrating the whole procedure. Note: this function can be used only in the registered Professional version.


Configuration

By using this window, it is possible to modify the options of Hard Disk Sentinel. The options are arranged into different categories which are located on the left side of the window. Clicking on a category will display the corresponding options on the right control page. The categories are:

  • Hard disk drives

  • Preferences

  • Status window

  • Thresholds / tray icon

  • Alerts

  • Message settings

  • E-mail configuration

  • Registration

  • Update

  • Advanced options

  • Disk control

  • Hot keys

  • Operations (only if the PROFESSIONAL version is installed)

  • Integration

  • Send test report


Configuration: Hard disk drives

Hard disk configuration

On this page, all detected hard disks are displayed. By selecting the box before the hard disk number it is possible to set which disk(s) should be displayed on the status window. Double click on any hard disk will add/remove a tray icon for the hard disk.

It is possible to display only one single tray icon with the highest temperature. This way the icon may change and reflect different hard disks (as the temperature values may vary). If this option is enabled and the condition sign display is also enabled, the symbol of the lowest health value found is displayed (even if the hard disk with lowest health value is not the same with the hard disk with highest temperature).

Note: if the mouse pointer is moved over the tray icons, the associated hard disk details are displayed in a small hint window.

Clicking the right mouse button on any hard disk displays the local menu of the hard disk (please see the picture above). From this menu, it is possible to show or hide the icon of the disk on the tray or to access the details (any information page) of the hard disk. Moreover, the acoustic management window can be opened from this menu (if this feature is supported by the hard disk).

Disk activity icons (activity "LEDs")

The Real time performance page shows the current transfer speed of any drive and the disk activity in percent (%). This is (like the CPU usage % displayed by Windows Task Manager) can show how much time (in %) the drive is idle or used for a read/write operation, which may suggest if the drive is "fully" active or can perform faster. This is independent from the disk usage (used/free space).

It is possible to add a tray icon for each hard disks, where "LEDs" show the above mentioned disk activity: more LEDs show the drive is more active - while no (or just 1-2 LEDs) indicate that the drive is almost idle, can do more activity. This function can be especially useful if the real disk activity LED is not visible, not working at all (for example for add-on disk controller / RAID controller cards) and we want a visual feedback about the disk activity, especially to know when a drive is performing read or write commands.

On Configuration: Hard disk drives, to enable activity icon for any hard disk, please enable the "Activity Icon" checkbox of the appropriate disk drive (if Hard Disk Sentinel receives real-time performance data from the system, so the word "Supported" displayed). Alternatively it is possible to add a single icon to reflect total disk activity by enabling "Display total disk activity on a single tray icon" option.


Configuration: Preferences

It is possible to control some global options of Hard Disk Sentinel.

Display status window at start: the status window should or should not appear automatically when the application is started. Hiding or showing the status window will change this option also (if the window was hidden and the application is re-started, the status window will not be displayed automatically).

Load with Windows: should Hard Disk Sentinel be started every time when Windows boots and the user logs in. It is recommended to use this function because this way the status of hard disks are constantly analysed. By the Pre-start delay option it is possible to configure a delay before first accessing the hard disk drives, especially useful if the system loads high number of other applications on startup as the option allows more time to the system to load and initialise everything.

Display main screen when launched: automatically show the main window when the application is launched. Note: this option can be disabled only in the registered version. In the unregistered version the main window is automatically displayed every time on start.

Show application on task bar also: if any window of Hard Disk Sentinel is open (except the status window), the application is displayed on the task bar, next to other running applications. If this option is disabled, only the tray icons are displayed next to the clock, even if there is one or more windows of the application is open.

It is possible to configure the language to be used in the interface and in all reports, mails and messages. The temperature unit (Celsius or Fahrenheit) can be configured and it is possible to select the transferred data unit (MB, GB or TB, multiplies of 1024) to be used on the performance information page of all hard disks. Moreover the physical hard disk and partition size units can be configured.


Configuration: Status window

Status window configuration

The layout of the status window can be configured on this page. The user can select any color or image to use it as a background for the status window. The selection can be made using the appropriate "Select" button. As a preview, the selected color or image is displayed on the upper right corner. Note: when using an image as background, the image is automatically stretched for the correct size of the status window.

If the Snap to screen edges option is enabled, the status window cannot be moved outside the screen. Instead, the window will be aligned to the border of the screen if it is moved near to any border. If the option is disabled, the window can be moved (partially or fully) outside the screen.

It is possible to configure the transparency of the status window (if this is supported by the operating system) and the user may select the preferred font type, size and color. It is recommended to use correct settings which is easily readable for the user (regarding his preferences and the light, contrast of the environment) but the size of the window should not disturb the user in his work.

It is possible to send mouse clicks to window under the status window. This way the status window will not accept any mouse clicks and dragging operations. The best is to combine this option with the transparency option - so it is possible to click on a window under the status window. Note: if this option is enabled, the status window cannot be moved or selected. The tray icon can be used to access the features of the application.

All information in the status window can be directly displayed on the desktop. The data is displayed "under" all other windows and the information can be examined by clicking the show desktop icon. By using the X and Y coordinates, it is possible to configure the location of the information. Note: the information is displayed above the shortcuts and icons of the desktop, so it is recommended to specify an empty area for the information. The "active desktop" and "display webpage" options should be disabled to use this feature. Note: this function may intensively use the processor so it is not recommended to use it on slower computers.

By using the Fully transparent background, the status window background can be completely transparent - so the window under the status window is visible between the letters and icons. If this option is enabled, the status window may not be hidden by clicking on the red X but hot keys can be used to show/hide the window.

The Always on top option controls if the status window is shown above all other windows (stay on top). After changing this option, a complete restart of the software is required.

There is a list of possible items to display for each hard disk in the status window. Note: the configured items will be displayed also on the hint window if the mouse is moved over a tray icon.

Under Windows Vista/7, it is possible to use a Sidebar gadget to display hard disk information (for example, temperature and health). The visual appearance of the gadget (color, font, hard disks to display) can be adjusted by the status window settings.


Configuration: Thresholds / tray icon

Thresholds and tray icon settings

On this page it is possible to set the visual appearance of the tray icons depending on the temperature of the device. Each levels have corresponding colors: green, yellow, red - to indicate the relation of the temperature compared the threshold levels.

These global thresholds applied to all devices, unless one (or more) may have defined custom temperature threshold at the Temperature page. Then the custom thresholds used for the particular devices to display the icon and trigger alert (when the threshold reached).

By default, the icon displays the current temperature value of the hard disk (with alternating "flashing" the health symbol: Alerts if the health value is under the configured threshold).

The colors can be configured in three different steps: it is possible to configure the foreground and background color for low temperature (green level), high temperature (red level) and temperature between the low and high settings (yellow level). The threshold values for low and high temperatures can be configured on this page. Any background or foreground color can be transparent. For this, please specify RED=254, GREEN=254, BLUE=255 in the "Define Custom Colors" dialog. This color will be transparent on both the status window and the tray icon.

It is possible to display a symbol regarding the disk health on the tray icon also. It can be Green (perfect, in case of high health value), Red (poor, in case of low condition) or Yellow (acceptable, between the two thresholds). It is possible to select when the health symbol should be displayed - for example to display only if the health is too low (default setting).

If both the temperature and health symbol display is enabled, these two images displayed by turns (for one second, the temperature value is displayed and for one second the symbol of the current health value is displayed). This "flashing" may attract the attention of the user - but it can be disturbing. It is recommended to keep the default setting: to flash the tray icon only in case of a problem.

Note:different devices may have custom health thresholds configured too on the Overview page. These work like the custom temperature thresholds, overriding the default health level thresholds when the status and alert conditions need to be determined.


Configuration: Alerts

One of the most important features of Hard Disk Sentinel is to make alerts or execute tasks when a problem is found. This way the problems can be recognized and avoided and by using automatic tasks, the files can be archived to prevent data loss. Many different tasks can be connected to any problem.

When failure expected: this event occurs on a hard disk if any critical S.M.A.R.T. parameter exceeded the threshold defined by the manufacturer. At this moment, the hard disk should be immediately replaced. Note: at this time, the hard disk health is already decreased to 0%. Note: this function is available only in the registered version.

When disk condition is low: this event occurs on a hard disk if the health value is lower than the configured yellow or red level. Note: this function is fully available only in the registered version. In the unregistered version, only the yellow level can be selected to initiate an alert.

When temperature is high: this event occurs on a hard disk if the temperature is increased above the configured yellow or red level. Note: this function is fully available only in the registered version. In the unregistered version, only the yellow level can be selected to initiate an alert.

When a new log entry is added: this event occurs on a hard disk when a critical S.M.A.R.T. attribute degrades and this problem is logged into the log of the hard disk. Note: this function is available only in the registered version.

When free disk space is low: this event occurs on a logical drive if the amount of free space is under the configured threshold. Note: this function is available only in the registered version. It is possible to configure the free disk space threshold globally (one setting for all logical drives) or it is possible to set different free disk space thresholds for each logical drives (by using % or megabytes (1024 x 1024 bytes) as unit):

Free space thresholds

It is possible to select the sound alert to use. This can be any sound file supported by the system (eg. wav, mid, mp3, wma) and Hard Disk Sentinel will use it as an alert.

If the Repeat sound alert option is enabled, the application will repeat the sound alert continuously until the user confirms the sound alert by disabling the sound alerts (from the quick menu or from the main window). This way the reason(s) of the sound alerts are displayed and the user can examine them before he can disable further sound alerts. The use of this function is recommended on servers where there is no local user - but people may notice the sound alert and the remote alert is not possible.

The Use PC speaker option enables the use of the internal PC speaker ("buzzer") instead of the sound card. This way there is no need to attach external speakers to the computer. The use of this function is recommended on servers (combined with the previous option). Note: if this function is enabled, the sound alert will be a double 1000 Hz "beep-beep" instead of playing sound file on the PC speaker. Note: some computers (especially notebooks) may not have PC speaker. Please always ensure that the sound alert is audible on your system.

By using the Test Sound Alert button, it is possible to test the configured sound alert (play sound file or use the PC speaker). If the alert is not audible, it may be needed to verify cables and speakers or change configuration.

It is possible to send scheduled status e-mail which contains the current configuration and status of all hard disks. Hard Disk Sentinel automatically send the e-mail later if the e-mail cannot be sent at the configured time because of the computer was not working or in case of a network problem. Note: this function is available only in the registered version.

If the Send/display message option is used for any problem, the message will be displayed and/or delivered according the configured message settings.

If the Panic backup option is enabled, the configured tasks will be executed automatically when a problem is found. It is possible to define different tasks based on the problematic hard disk. Note: This function is available only in the PROFESSIONAL version.

If the Shut down option is enabled, the computer will be automatically turned off (shut down) to prevent further problems. Of course the appication waits all other tasks to complete before shutting down the computer. There is a one minute countdown before shut down and it is possible to cancel the shut down during this time.

Important: in each sessions, each problem on each hard disk can initiate alert only once. With other words, if a hard disk temperature reaches yellow level and an alert is enabled for the yellow level, the alerts are executed (eg. sound alert is played or mail is sent etc). If the hard disk cools down below the threshold and then warms up to yellow level again, that hard disk does not generate alert again. This way it is possible to avoid too much alerts (for example sending too much e-mails) if the hard disk is near the threshold levels. Of course if an other hard disk will warm up to yellow level - a new alert will be generated.

The list of previously handled alerts is cleared every day, at midnight. It means a computer (server) running for a long time (weeks or so) may make one alert per hard disk for each problem every day.

The list of previously handled alerts can be cleared any time from the main window and if the software is accessed by using its shortcut on the Desktop or Quick launch. Those actions force Hard Disk Sentinel to re-initialise its internal data and issue the alerts again.


Configuration: Message settings

When a problem is found, Hard Disk Sentinel can send or display alert. On this page, it is possible to configure the types of such alerts. Any combination of the options are possible. Note: at least one alert type should be selected.

Send e-mail: in case of a problem, Hard Disk Sentinel will send an e-mail with the problem description. The e-mail will be delivered as configured on the e-mail configuration page. It is possible to dial the default internet connection before sending (it may be neccessary if using dial-up or DSL modem) and it is possible to close (hang) the connection after sending the message. Note: if close connection option is enabled but the connection was already estabilished before sending a mail (the computer was already connected), the connection will NOT be closed.

The user may choose the e-mail type. This can be full HTML report (including images but still less than 50 kbytes for one hard disk), full text report (plain text only) or brief text report. The latter is very small and quick - useful if the message should be delivered via an e-mail -> SMS gateway. Note: the selected report type will be sent as a daily status e-mail. Also the selected report type (HTML or text) will be saved or sent when the user clicks the corresponding quick button in the main window.

It is possible to configure the elements to include in the detailed text or HTML report (if using the registered version). Note: regardless of the configured elements, the XML report contains all sections.

Send message to remote computer: The alert can be sent to any computer in the network (just like when using the NET SEND command). To send and receive such messages, the messenger service needs to run on both the sender and the recipient computers. By using the Select button, it is possible to choose the recipient computer from the local network. This can be slow on larger networks and may be faster to specify the computer name directly (without \\ prefix). It is possible to send a test message to the remote computer to verify the connection.

Important: if the remote computer is not accessible (it does not respond because of a network error or a power failure), Hard Disk Sentinel automatically re-sends the message(s) in every 5 minutes until the successful delivery (in the current session). If the user re-start the application, this re-send procedure will be cancelled.

Note: the messenger service supports only small messages (up to 254 characters). Usually from this info, the recipient (in most cases, the administrator) can read only the problem description and the sender computer. In such cases, the admininstrator should examine the sender computer for problems. It is recommended to check HDS_problem_log.txt file first in the folder of Hard Disk Sentinel because it has information about previous alerts. It is possible that some (non standard ASCII) characters are displayed incorrectly in the delivered message.

Display message on screen: by using this option, the message will be displayed on the screen. Optionally, a custom message can be displayed before the problem description. Hard Disk Sentinel reads this custom message from a text file before displaying the alert. It is recommended on computers which are not connected to the network and the remote send methods are not possible. For example, a custom message can be "Please call administrator on phone XX-XXXXX-XXX and tell him the following information:".

Add to Windows event log: the alert added to Windows (application) Event Log. This may help administrators/tools fetching the Windows event log to get notification about the alerts and issues (registered version only).

Run external application or batch file: upon alert, an external configured application (or BAT file) started. It is possible to select (or manually specify the command line) and select if the external application should run "invisible", without displaying its window (registered version only).

In the external application (or BAT file) the following environment variables available, pre-set by Hard Disk Sentinel:
HDS_TimeStamp : date and time of the actual alert in fixed format yyyymmdd hhmmss
HDS_TimeStampClean : date and time of the alert in user-friendly format (current Windows regional setting)
HDS_Host : current host (computer) name
HDS_Alert : the alert (eg. Overheat)
HDS_Disk : affected disk(s)
HDS_Threshold : threshold configured (contain Celsius/Fahrenheit or % symbols)
HDS_ThresholdValue : threshold configured (only the number)
HDS_Health : generic health information of all drives
HDS_Partition : generic partition information of all drives
HDS_LowestDiskHealth: the lowest health % value of all drives

Note: the daily status e-mail can be e-mail only, regardless of the selected message type(s) on this page.


Configuration: E-mail configuration

On this page, the user can configure the settings needed to deliver an e-mail message. The required settings are:

  • Sender name: this will be displayed as sender (for example, name of the user of the computer).

  • Sender e-mail: e-mail address of the sender (for example, e-mail address of the user of the computer).

  • SMTP server: name or IP address of the SMTP server to use.

  • Recipient e-mail: e-mail address of the recipient who will read the problem/status e-mails (for example, the administrator). It is possible to enter two or more addresses, separated by comma (,)

  • Port: if the SMTP server does not use the standard port (25), this can be specified here.

  • Username, Password: if authentication is required when sending an e-amil (it is required for many Internet Service Providers), these information can be configured here. If there is no need to authenticate, please leave these fields empty. It is possible to enable use SSL and TLS (STARTTLS) if required for the connection. For configuration of sending e-mail via gmail account, port 465 or 587 with Enable SSL option is required.

In the Mail account field it is possible to choose a previously configured Outlook or Outlook Express mail account. If an account is selected, the sender name, e-mail address, the SMTP server and the username (if needed) fields will be automatically filled, regarding the settings of the mail account. This way the recipient e-mail address is required only - and the password if authentication is required (for security reasons, the password field is not filled automatically).

Note: it is possible that not all defined mail accounts are displayed.

Note: after setting all options, it is recommended to use the Mail test button to test the configuration or to reveal possible e-mail delivery problems.


Configuration: Registration

After purchasing a registered version, the registration code is automatically delivered to the user. On this page, the registration code can be entered to register and activate Hard Disk Sentinel - unlocking all features of the application. Note: a standard license is available for Hard Disk Sentinel standard version only, it will not be able to activate the PRO version. Also the PRO registration code can work with the PRO version only (which contains all functions of the standard and much more).

The user should choose and enter an username. This can be anything, like his real name, nickname, his company name, etc. This name is displayed in the About box as the registered user. This name can be freely changed later any time by entering the registration code again and pressing any "Registration" button. Because the application is already activated, there is no need for any network communication or file transfer.

Hard Disk Sentinel verifies the registration code itself and then the code is verified on the on-line registration server (this procedure is called activation). The application is registered and activated if the code is accepted by both the application itself and the on-line server. This is required to prevent pirate use of Hard Disk Sentinel.

If the computer is connected to the internet, it is recommended to use the on-line activation method. To do this, please click on Registration and activate on-line button after the username and (valid) registration code are entered. The activation does not take more than some seconds, even if smaller bandwidth is available.

If the on-line activation method is not possible, the Registration and activation by e-mail option should be selected (after the username and (valid) registration code are entered). This way Hard Disk Sentinel creates a file and the user needs to send that file (from an other computer) in e-mail to info@hdsentinel.com address with the 15 digit registration code. We will send back the activated keyfile which can be load by the "Load activated keyfile" (or can be copied to the installation folder of Hard Disk Sentinel and restart) to make the software activated and enable all registered features.

By using the "Load activated keyfile" button, it is not possible to load a previously received activated key file (which belongs to previous installation) as it does not work. The activated key file is only part of the license, so alone that will not activate the software. If you prefer to backup the current license (and settings, statistics, logs, details) for a planned reinstallation, please use Configuration -> Update -> Backup configuration to save everything to a single file (which can be re-loaded after complete reinstallation).

Note: if your registration code is not provided by our company (not valid) and the on-line activation results an error, please do not try the e-mail activation method. Registration requests with incorrect registration code (or without registration code at all) will be automatically deleted.

Note: if the user must re-install the operating system, Hard Disk Sentinel can be re-installed and re-activated as many times as the user wants if the first installed hard disk is the same in all cases. If this (first) hard disk needs to be replaced, the number of legally allowed re-activations are decreased by one. Then for this (new) hard disk the user may re-install and re-activate as many times as he wants again. Hard Disk Sentinel can be connected to 5 (five) different primary hard disks (if you need to replace your first hard disk to a 6th one, please contact us to extend your license). The second, third or any further disks or other components have no effect about the registered status of the application. The user may freely add/remove/replace any 2nd or further hard disk.

If two or more operating systems are installed on the same computer, Hard Disk Sentinel can be installed, registered and activated under all such systems.

Note: using the CORPORATE version will make this configuration page unusable. It is not possible to change the username or to click on any "Register and activate" buttons as the application is already registered and activated as soon as the installation is completed.

If the installed license can expire, the expiration date is displayed in this window. Please contact the developer to extend your license if your license is expired.


Configuration: Update

Hard Disk Sentinel can update itself from the on-line server if there is an updated version is available for download. The user may choose to use the automatic (weekly) update and it is possible to use the Find new version and update now button to check an updated version and download it automatically. The date is displayed when the application last checked for a new version.

During the updating (and checking for new version) the application is closed. The tray icon, status window and all other opened windows are closed during the updater module checks the latest version and downloads it if it is newer than the installed:

Updater is checking latest version

Note: when registering and activating the PROFESSIONAL version, this module is running to download the archiver module. Later, this module is also updated because the application is already registered.

Note: after the successful update, the new version is started. The list of previously handled alerts is cleared, so any configured alerts may be sent again.

Note: the updater module downloads only latest, final (not beta) versions. The evaluation (beta) versions should be downloaded and installed manually.

Note: registered users can freely update to newer versions as the application will remain registered (if valid registration code used to register it) after the update process.

It is possible to backup and restore current configuration. Backup saves the current configuration including all options and project configuration, the previous statistics, logs and registration details (registered user and activation file). This way after a complete re-install the user only requires to restore the previous configuration - the software will be automatically registered and all previous settings, statistics will operate as before. It is recommended to periodically backup configuration and statistics to removable media which can be used in case of a complete re-install.

Note: if the hardware configuration is changed, it may be required to re-activate the software.

Note: the backup configuration option is available only in the registered version.


Configuration: Advanced options

These options should be modified only by advanced, experienced users as these options may cause incorrect or inappropriate system operation.

Detection frequency: the time between two consecutive hard disk information detections (detecting S.M.A.R.T. information to display temperature, health, etc). By default, Hard Disk Sentinel detects such information once per every 5 minutes. Too many hard disks or slow devices may reduce the performance of the application and increase response times. This case it is recommended to drag the slider to right, but it is possible to detect more often. Note: very frequent detections (once per every 1 or 5 seconds) may reduce performance or responsiveness of the software (which would constantly need to access disk drives and wait for response from them).

Generally Hard Disk Sentinel verifies if the drive is sleeping when the periodic detection should occur and if so, it does not wake up the drive just to update its status. Some drives (and disk controllers, drivers) may provide incorrect disk power state, which means that the software (even if it does the best to determine the power state) may think that the drive is active (when sleeping) and perform the detection - which wakes up the drive. For this, there is an option Automatic detection based on disk utilization which can help: if enabled, Hard Disk Sentinel also checks if there was any real disk activity on the drive since the last detection and performs disk access only in that case (otherwise the drive is considered inactive/sleeping).

Health calculation method: the user can select the method to calculate the health and the performance values for the hard disks. It is recommended to use the "Analyse data field" option or the more strict analysis option to improve data safety. The stict method is recommended on servers, notebooks or computers with high disk usage or extremely important information.

Enable warning if the hard disk is not responding: if the hard disk does not respond to the detections of Hard Disk Sentinel, a log entry is generated (which may lead to an alert if enabled). On the disk information page a yellow and then a red label will be displayed with the problem. The use of this option is not recommended in all cases, only when it is really neccessary (for example, under Windows 98/ME).

Disable automatic scandisk: by using this option, it is possible to disable the automatic disk check procedure which may start with Windows. This may prevent a damaged head to incorrectly access and damage the stable disk areas.

Delay before scandisk: if the automatic disk check is enabled, it is possible to control how much seconds the system should wait before starting this procedure. During this time, the user can cancel the disk check by pressing any key.

Synchronize computer clock with atomic clock: the clock of the computer will be synchronized to a remote time server by using the NTP (Network time protocol) to display the correct date and time. This is useful when determining the exact date and time of any alerts. The option may be useful on older systems (Windows XP and previous) especially if the PROFESSIONAL version is installed and configured to start scheduled backup projects. Note: if the unregistered version is used, this option will be automatically disabled after the first time the clock has been synchronized.

Generate and update XML file: if enabled, the hard disk details are automatically exported into a special XML file which can be processed by other software. By default, HDSentinel.xml file is used but it can be changed if the Select button is pressed. The last XML file saved on previous day is saved as a backup copy with .BAK extension. For more information, sample script please check: How to: integrate Hard Disk Sentinel by automatic XML report export. Note: this function can be used only in the registered version.

Provide status by WMI: if enabled, disk drive status and details (detected from Hard Disk Sentinel) can be accessed by 3rd party applications/scripts. This allows developers, admins, system integrators to make custom tools to log/alert/output any detected detail(s). For more information, sample script please check: How to: query disk information by WMI from Hard Disk Sentinel. Note: this function can be used only in the registered version.

Automatically save disk test results to folder option enables automatic saving of the results after any tests completed (including the short/extended/conveyance test and all disk surface tests from Disk menu -> Surface test). When the tests completed, the results and details are automatically saved to the specified folder, including:
- a quick log file (selftestlog.txt) which contains the test date/time, type, duration, results for all hardware self-tests (Disk menu -> Short self test, Extended self test)
- complete disk report about the affected hard disk when the short/extended test completed
- complete details (disk surface map images, transfer speed exports, error logs) when any of the surface test (Disk menu -> Surface test) completed.

Monitor Windows Event Log for problems related to disks and storage: By this function, while running, Hard Disk Sentinel detects if there is any issue related to the storage subsystem, reported by the disk controller driver or Windows itself (independently from the self-monitoring status of the drive). This includes problems related directly to hard disk drive (eg. bad sectors) - but also related to something else (cables, connections) which may cause bus reset, retries, communication problems or other issues. Such problems reported in the health and the text description, for example:
Recently the following entries added to System Event Log:
56 warnings, most recent: The IO operation at logical block address 8fa0 for Disk 9 (PDO name: \Device\0000009d) was retried. (disk; ID: 153)
The following function can be used to improve the situation: Disk -> Surface Test -> Disk repair

Change folder to store statistics and settings: by this option, it is possible to configure Hard Disk Sentinel to save all information (statistics, settings, logs, details, license) to a different folder (or even a different drive) instead of using its local folder. It is possible to configure even remote or network drives, but be careful: if the appropriate folder (drive) is not accessible on startup, Hard Disk Sentinel may not able to load the license and previous settings/configuration, so it may not work as expected.


Configuration: Disk control

Hard Disk Sentinel continuously examine the used and free space of the logical drives (partitions). By this information, it is possible to display the amount of used space on the drive icons. Moreover, a sign according the current disk health is displayed on the drive icons.

Modify default hard disk icons: by this option, it is possible to globally enable/disable the use of the extended hard disk icons. If the option is disabled, the original Windows drive icons are used. If enabled, the extended icons are used: the amount of used space and the health icons are displayed on the icons. These icons are displayed in all applications, including the Windows Explorer.

Monitor space on network disks: it is possible to examine the free space information on remote disks also and automatically update this information in the logical drive panel of the main window.

Change default system icon for network disks: after the detection, the icon of the network (remote) drives will reflect the amount of used space.

Monitor space on removable disks: it is possible to examine the free space information on removable disks (for example, pendrives, external hard disks, card readers) also and automatically update this information in the logical drive panel of the main window.

Change default system icon for removable disks: after the detection, the icon of the removable drives will reflect the amount of used space on them.

Note: on remote and most removable drives it is not possible to detect S.M.A.R.T. information. This way the icon represent only used/free space information but not health.

Note: checking space on remote and removable drives may be slow (especially if a network drive is not accessible or if the card reader has no card inserted). It is recommended to use these options only if they do not reduce the performance of the system and the application.

It is possible to specify which drives should be excluded from the disk space check and which drives should keep the default disk icon. Please list the drive letters (without : or any spaces) into the corresponding field.

Note: Hard Disk Sentinel can detect and modify the icons only if it is running. If the application is closed, the previous drive icons are displayed (original system icons or modified icons if a third party application modified them).

Note: some operating systems (for example Windows XP SP1) may not display the correct hard disk icons. Please upgrade to the latest service pack if you encounter this problem.

The Disk icon set option is used to specify the style of hard disk icons (XP or Vista/7 style) to use in Windows Explorer and in other software showing drive icons. These icons reflect the hard disk health status and the used space.
Starting from version 4.10, it is possible to load and use external icon image packages (.HDZ files) and get further information about the icon package (view information supplied by the publisher of the icon package) display an example image, showing the possible icons.

Disable detection of USB and SCSI drives: this option is available only for compatibility issues, to disable detection of extended information about special devices. This may include also hard disks/SSDs connected to RAID controllers, configured to RAID arrays or just devices used by some hard disk controllers. In most cases, this option is NOT required as it may prevent detection of hard disk status at all. It may be required only when some (especially older) card readers used as they may respond very slowly to the software. If this happens, please use Report -> Send test report to developer option.


Configuration: Hot keys

Hot key configuration

It is possible to access some functions of Hard Disk Sentinel by using hot keys. These are system wide hot keys and they work even if an other application is selected and activated (except some applications, for example games may prevent the use of hot keys).

The most useful features to access by hot keys are to show or hide status window, display the main window or configuration window.

The hot keys are available only in the registered version.

Note: some hot key combinations may not work under all operating systems. For example, Vista may block CTRL+ALT+Fx key combinations.


Operations

Hard Disk Sentinel PROFESSIONAL is able to create automatic (backup) operations, schedule them and execute them upon a failure. This feature is described in the following chapters:

  • Projects

  • Schedule

  • Panic backup


Configuration: Operations

These functions are available only in the PROFESSIONAL version.

By using Hard Disk Sentinel PRO version, it is possible to define various tasks (projects) and schedule them to be executed regularly. The defined projects can be executed in case of some events, for example in case of a low disk health value. It is possible to execute two or more different projects at the same time or sequentially (run a project after the the other project is completed). The projects are usually data archiving operations but it is possible to define different kind of projects also.

First, a short, brief name is required for the backup project (this cannot be changed later). By clicking the New button, the user may enter this name and the project details are displayed - the fields are now empty.

By using the Remove button, the currently displayed project can be deleted from the list of projects if it is not needed any more. Note: if the project was associated with one or more dates or events, the user must confirm the remove operation. Please be careful when removing a project which had other project(s) linked in a sequence.

The user can enter some descriptive text about the real function of the project into the Comment field. If the project needs a confirmation question before execution, the name and this comment will be displayed the user - who can decide if the project can be executed or the project should be cancelled.

The type of the project can be:

  • Run external application or batch file: the project will start the specified external application, internal command (for example COPY) or batch (BAT) file. Can be used for example to compress some folders with any compression software and/or to burn files to optical disk by using a command line CD/DVD burning application. It can also be used to start any other application for example to update the database of an anti-virus application. The application with all command line parameters should be specified. It is possible to select the application by using the Browse button. The name and path of the application must be specified between quote marks (") if the application name or its path contains one or more spaces. Additional parameters can be specified after the last quote mark after the name of the application. For example: "C:\Program Files\MyProg Folder\MyProg.exe" parameter1 parameter2

    If the user selects Start invisible, without displaying window, the application will run in silent mode (without displaying its window).

    If the Alert on error option is enabled, an alert will be generated (according to the Message settings) if the external application or BAT file returns with exit code other than 0. Note: when using BAT file, the EXIT xx can be used to specify the exit code. If the BAT file contains if .. then statements, this can be used to specify the correct exit codes at different points of the BAT file. Exit code 0 means correct (problem-free) termination, any other code makes an alert with the returned exit code (if this option is enabled). In this case, no other projects depending on this problematic project will be started.

  • Transfer files and folders: this case the internal archiver module is used to backup files. By using this module, it is possible to configure different archiving options and create different, specific backup tasks. By clicking the Configure button, the user can specify the options of the backup project. Note: this function is available only in the registered version.

  • Burn CD/DVD by using NERO: Hard Disk Sentinel will use NERO (TM) application from Ahead Software AG to archive the contents of any specified folder to an optical disk.

    Burn CD/DVD with Nero

    It is required to specify the location of NEROCMD.EXE file (the command-line version of NERO) by using the Select application button. If this is not specified, but a project is configured, Hard Disk Sentinel will ask to configure the location of the missing application.

    The command line to be executed can be inspected with all parameters. By pressing CTRL+C, it is possible to copy the contents of this window to the clipboard.

    It is required to specify a source folder. It may contain variables (for example, %USER%, %LAST%, etc), the details of the variables are described in the folder settings. If %LAST% is used, the most recent folder (created by using date and time) from the specified folder (which is L:\BACKUP in our case) will be used as source folder. This should be used when an other project previously saved data to L:\BACKUP and the Use the current date as folder name and keep the last XX complete archives option was enabled for that project.

    It is also required to select the drive of the burner (in case if there are two or more optical devices installed in the computer) and the write speed. The write speed will be automatically adjusted according the properties of the burner and the inserted media. The type of the media (CD or DVD) should be also selected. The buffer underrun (BURN) protection and the verify after write options can be enabled or disabled.

    It is possible to specify any other command line parameters. They'll be sent to NEROCMD.EXE. Such parameter can be --disable_eject which will disable ejection of the disk. The full list of parameters can be displayed by using NEROCMD /? command.

    It is possible to start the burn process silently (without displaying any window) and to enable error handling like the option for projects with type Run external application or batch file. Please check the NEROCMD user manual for the full list of possible exit codes of NEROCMD.

    Note: this function is available only in the registered version.

  • Compress files by using RAR/7-Zip: Hard Disk Sentinel can use WINRAR (TM) application from RarSoft or the free 7-Zip application as compressor. The list of available options are the same for both compressors. Note: older versions of 7-Zip does not support creating multi-volume archives.

    Archive (compress) files

    It is required to specify the location of RAR.EXE or 7Z.EXE file (the command-line compressor application) by using the Select application button. If this is not specified, but a project is configured, Hard Disk Sentinel will ask to configure the location of the missing application.

    The command line to be executed can be inspected with all parameters. By pressing CTRL+C, it is possible to copy the contents of this window to the clipboard.

    To compress the archive, it is required to specify the source folder. It may contain variables (for example, %USER%, %LAST%, the details of the variables are described in the folder settings).

    It is also required to specify a target file to store the compressed archive. There is an option to create multi volume archives and configure the volume size in kbytes (1024 bytes) unit.

    Any other command line parameters can be specified to use when RAR or 7Z application is started. Such parameters can be: -mXXX to specify compression method, -pXXX to specify a password or -sfx to create self-extracting archive. The full list of parameters can be displayed by using WINRAR /? or 7Z (without any parameters) command.

    It is possible to start the compression process silently (without displaying any window) and to enable error handling like the option for projects with type Run external application or batch file. Please check the WINRAR or 7-Zip user manual for the full list of possible exit codes of the application.

    Note: this function is available only in the registered version.

  • Export registry items: the specified registry keys will be exported into a file (the file name may contain variables also).

    Export registry items

    Note: this function is available only in the registered version.

  • Power ON Computer: Power on (start) a remote computer on local area network by sending wake-up packet to the target computer. It is required to specify the target computer MAC address (it is possible to find it for example from a Hard Disk Sentinel report on the target computer). Optionally the software can wait until the computer is ready (answers to PING) but do not wait more than a specified maximum time. It is recommended to verify the firewall, computer (wake-on-lan should be enabled) and network configuration.

    Power on remote computers on network

    Note: this function is available only in the registered version.

  • Power OFF Computer: Local or remote computer can be stopped (shut down) or restarted (reboot). The local computer can be sent to standby or hibernate states also.

    Power off remote computer on network

    Note: this function is available only in the registered version.

  • Send files in e-mail: By this function, files (or complete folders with all files and sub-folders) can be transferred in e-mails. After selecting the proper type (files or folders) the files / folders should be specified and separated by semicolon (;). The sender, mail server and authentication options on the e-mail configuration page are used to send mails.

    Send files in e-mail

    It is possible to send all files in separate e-mails (sending one file per mail). This option is ideal to send single files (archives) which are not too big to transfer in e-mails. For lots of smaller files, it is possible to collect files until a minimal limit is reached and send the files together in a mail. This way all mails will contain for example 2000 kbytes of data except the last one which contains the remaining files. Before using this option, it is recommended to verify the amount of data and the available mail space on mail server (or provided by the network service provider).

    Note: this function is available only in the registered version.

  • FTP Transfer Files: By this option it is possible to upload files or complete folders to FTP server. After selecting the proper type (files or folders) the files / folders should be specified and separated by semicolon (;).

    Upload files to FTP server

    To transfer the files, the (remote) FTP server name or IP address, the user name and password to login are required. Optionally the transfer port (default = 21, standard FTP port), passive mode option and remote folder can be specified also. The Configure button opens a window with more options to control the transfer, including the supported archiving options and the FTP time-out and maximum number of retries.

    Note: The "keep last XX complete archives" option can be used with FTP transfer. Continue (REST) is not supported.

    Note: this function is available only in the registered version.

  • Test hard disk(s): It is possible to examine and test the hard disks by using hardware self test functions (supported by IDE and S-ATA hard disks). The disks to be tested are listed and can be selected, or it is possible to test all installed hard disks simultaneously.

    If the mouse is moved over a hard disk, the supported tests are displayed in a hint. Please select test type from the supported tests.

    It is possible to send report after the test is completed (always or just when an error happened). The report contains the details of the test, including any new problems found (new bad sectors, for example).

    Note: this function is available only in the registered version.

Note: the following versions may have more, different project types.

The Start now button can be used to launch the project immediately. Always use the Save button before clicking on this button to store any modified options for the project.

By using the Create shortcut for project on the desktop button, Hard Disk Sentinel will create a shortcut onto the desktop for the current selected project. The shortcut can be used to launch the associated project (even if Hard Disk Sentinel is not active). Note: if the project contains variables, the variables are evaluated at the time of creating the shortcut. So it is recommended to not use variables in projects designed to run manually or use only constant variables (for example %COMPUTER%). Note: this function is available only in the registered version.

The Save button should be used to store the modified configuration. This will save the current list of projects, the list of defined schedules and the list of defined events. It is recommended to use this button frequently because some options are available only if the backup configuration was saved. By using the Restore default projects button, it is possible to reload the previously saved backup configuration. It may be helpful to recover from an accidental erase or modification.

After the backup projects are defined, they should be connected to different time on different days on the schedule page or to different events. Such event can be the panic backup. It will be executed in case on any problem found with any hard disk and the panic backup start option is enabled for that problem on the alerts page.


Configuration: Operations, Schedule

These functions are available only in the PROFESSIONAL version.

Schedule of projects

Different project list can be defined for every days of the week. From the menu next to Launch on the user can choose the day of the week to examine the defined projects and add/review the configuration.

By using the suspend on next such day it is possible to disable all projects on the following selected day. For example, if the current day selected and displayed is Tuesday and this option is selected, the projects scheduled for tuesday will not be executed on next tuesday. This way it is possible to temporarily disable the projects for a planned service. After the day is passed (eg. after the next Tuesday), the application will be automatically restored into normal mode and all projects will run as before. This way the administrator will not need to worry about manually disabling and then re-enabling the projects after the service has completed.

The red X under the Delete can be used to remove the corresponding project from the list. Of course, the project itself will not be deleted, it can be selected again any time later to add into a project list. Then (from left to right) the project number is displayed. This is important only if the user wants to create a project chain (execute projects sequentially, one after one).

Under the Project, the name of the project is displayed. The user may select the project to be executed from the list of previously created projects.

In the Start column it is possible to set when the project should be executed. The possible options are:

  • Fix time: the project will be executed at the time specified in the Time column (hour:minute). If the project was not possible to run at the configured time (for example, the system is not ready because of a power problem), the project may run at a later (but first available) time. This can be controlled by the Can run later option. Recommended for performing fix, longer scheduled projects (for example full backup during the night).

  • After load: start the project after Hard Disk Sentinel is started and a pre-defined delay elapsed. The delay can be configured in the Time column (hour:minute). The project will be executed after every restarts of Hard Disk Sentinel. If the system needs to be restarted regularly, it can run many times per day. Recommended for quick backups (for example saving new or modified documents, images).

  • After load 1/day: start the project after Hard Disk Sentinel is started and a pre-defined delay elapsed. The delay can be configured in the Time column (hour:minute). The project will be executed only after the first start of Hard Disk Sentinel on all days, so it runs maximum once per day. Recommended for tasks to perform maximum once per day for example updating an anti-virus database.

  • Repetitive: repeat the project after a configured period. The period can be configured in the Time column (hour:minute). Recomended for saving frequently modified data, frequently arriving files, images.

  • After X: start the project when an other project with number X is completed. Available only if the project list with project number X is saved. Note: if any project in the chain is cancelled by the user or the user refused to start a project when he needed to allow it, all further projects depend on the cancelled one will not be started. It is possible to connect one or more projects to a previously completed project (if the projects have the same "After X" option selected). This way these projects will run simultaneously, just after the other project (with number X) is completed. Recommended for: compressing archived files, burning the files to optical media.

If the Ask before run option is selected, the project will not be executed automatically. Instead, a confirmation window is displayed with the name and comment of the project and the user must allow the project to start. This way the user may delay the execution of the project (and all projects depending on this one) by waiting before pressing the button. If he cancels the execution, the project and all depending projects will not be started. Note: this option can be disabled only in the registered version. The unregistered version always needs confirmation for the project execution.

By unchecking the Enabled option, the project will be disabled and it will not be started. This way a project can be disabled for a longer time - without removing from the project list. Note: if one or more projects depend on the disabled project, such projects will not be executed also. Hard Disk Sentinel displays a warning about this situation and the user may review the configuration.

Click on the Add new project to the list at the end of the list to add new project to the daily schedule.


Configuration: Operations, Panic backup

These functions are available only in the PROFESSIONAL version.

Panic backup: start project on problem

It is possible to connect project execution to different events like on the schedule page. For example, if the health value of any hard disk is too low or the temperature is too high a project can be executed. The user needs to enable the different problem types when a project should be started on the Alerts page.

It is possible to specify a general project list. All projects on this list will be executed if any hard disk have a problem (and "panic backup" is enabled for the corresponding problem on the Alerts page). Moreover, the user may create different project list for each hard disk installed. This way it is possible to specify that the data should be archived from the first hard disk to the second regularly and in case the first hard disk have a low health value; and if there is a problem with the second hard disk, the data should be copied to an external disk or to a remote server.

From the box next to Disk it is possible to select the corresponding disk or to select the general project list (by selecting the "any hard disk" option).

The red X under the Delete can be used to remove the corresponding project from the list. Of course, the project itself will not be deleted, it can be selected again any time later to add into a project list. Then (from left to right) the project number is displayed. This is important only if the user wants to create a project chain (execute projects sequentially, one after one).

Under the Project, the name of the project is displayed. The user may select the project to be executed from the list of previously created projects.

In the Start column it is possible to set when the project should be executed. The possible options are:

  • Automatically: start the project immediately when the problem is detected.

  • After X: start the project when an other project with number X is completed. Available only if the project list with project number X is saved. Note: if any project in the chain is cancelled by the user or the user refused to start a project when he needed to allow it, all further projects depend on the cancelled one will not be started. It is possible to connect one or more projects to a previously completed project (if the projects have the same "After X" option selected). This way these projects will run simultaneously, just after the other project (with number X) is completed.

If the Ask before run option is selected, the project will not be executed automatically. Instead, a confirmation window is displayed with the name and comment of the project and the user must allow the project to start. This way the user may delay the execution of the project (and all projects depending to this one) by not pressing any buttons if the project should be started later. If he cancels the execution, the project and all depending projects will not be started. Note: this option can be disabled only in the registered version. The unregistered version always needs confirmation for the project execution.

By unchecking the Enabled option, the project will be disabled and it will not be started. This way a project can be disabled for a longer time - without removing from the project list. Note: if one or more projects depend on the disabled project, such projects will not be executed also. Hard Disk Sentinel displays a warning about this situation and the user may review the configuration.

Click on the Add new project to the list at the end of the list to add new project to the daily schedule.


Transfer files

The registered version of Hard Disk Sentinel PROFESSIONAL has an internal archiver module. It contains numerous features to configure and by using this module it is possible to create different, suitable backup operations for the current situation. The configuration and the function are described in the following chapters:

  • Operations

  • Folder settings

  • Global settings

  • Project options

  • Transfer files (processing)


Configuration: Operations, transfer files

These functions are available only in the registered PROFESSIONAL version.

Modify project settings

To configure the file and folder transfer, the most important thing is to specify the source and target folders.

Clicking the New button displays the folder selection window where these folders can be configured. The Edit button opens this window and the previously specified values can be modified (double click on any entry of the list will also open this window. By using the Delete button, the currently selected entry will be removed from the list.

On the Global settings page it is possible to configure global options for all "transfer files and folders" projects. On the Project options page there are many options to fine tune the currently selected project.


Configuration: Operations, transfer files, folder settings

These functions are available only in the registered PROFESSIONAL version.

Modify project settings

To configure the file and folder transfer, the most important thing is to specify the source and target folders.

It is possible to select or to manually enter the source folder and the destination folder. It is possible to use more than one destination folder (even on different drives or different computers). The files from the source folder will be copied to all such destination folders. It is possible to specify any (one or more) variables when defining the destination folder. For example, it is possible to create different folders based on the user name, the computer name or the IP address. Hard Disk Sentinel automatically creates the folder before archiving if needed.

The %LAST=folder% variable is replaced with the name of the most recently updated sub-folder from the specified "folder". This is useful if the user wants to store more, different backup states but the most recent files need further processing (for example burning the most recent files to optical disk). This function and its configuration will be described on the project options page.

It is possible to use a shorter form of this option: to specify %LAST% only. In this case, the folder before %LAST% will be searched for the most recent archived folder. For example C:\BACKUP\%LAST=C:\BACKUP% and C:\BACKUP\%LAST% will result the same (the newest archive from C:\BACKUP). If it is required to burn a CD/DVD and one of these examples are provided as a source folder, the most recent folder will be copied to the optical disk.

Note: the %LAST=folder% and %LAST% can be used only if the Use the current date as folder name and keep the last XX complete archives option is enabled.

Note: the folder names can point to local or remote (network) drives. It is also possible to specify UNC paths (for example, \\server\share\folder). Please make sure that the corresponding network resources are available for the application.


Configuration: Operations, transfer files, global settings

These functions are available only in the registered PROFESSIONAL version.

Modify project settings

It is possible to configure which files (matching the specified file masks) should be ignored. These files will not be archived.

Note: This option will affect the execution of all backup projects.


Configuration: Operations, transfer files, project options

These functions are available only in the registered PROFESSIONAL version.

Modify project settings

By using these options, the user can customize the backup project.

Calculate the amount of data to be copied: Hard Disk Sentinel can calculate the total amount of data to be archived before starting the archive process. This may need considerable amount of time if there are lots of files and folders to backup - so this function can be disabled. If the project is designed to be a "panic backup" project, this function should be disabled to start archiving as soon as possible. If this option is enabled, the progress and estimated remaining time are displayed during the backup operation.

Do not start if the amount of data is less than XX kbytes: do not start archiving if the source folder does not contain the specified amount of data. By using this option, it is possible to keep existing backups and avoid backup of empty folder or folder with only partial content.

Make alert in case of too few data: generate an alert if the amount of data is under the specified threshold. This can be e-mail, network message or alert window displayed on the screen, according the message settings. It is possible generate sound alert also (see below).

Verify copied data: during the backup operation, Hard Disk Sentinel automatically creates CRC checksum value for all files and store these values with the archived files. (with this information the restore module (will be available in the future) can verify the integrity of all archived files and automatically restore the files). If this option is enabled, the integrity of the archived files will be verified after archiving. If the count of archived files is large, this process may take long time (even more time than the backup process).

Copy only new and updated files: archive only new or updated files since the last backup operation.

Clear archive bit on copied files: Hard Disk Sentinel clears the archive bit on all files after backup. This will ensure that the files are archived. It is recommended to use this option with the previous one.

Delete source files after successful copy: remove all source files when the archive process is completed. Use this function only in special cases (for example, backup from a small capacity storage device and empty the device). Note: the (empty) folders will not be deleted.

Save subfolders: it is possible to enable archiving all files in all sub folders under the source folders.

Save source folder name with its contents also: if this option is enabled, the source folder name (the last folder from the source path) will be also created into the destination folder and all files and sub-folders from the source folder will be saved into this folder. If the option is disabled, the contents of the source folder will be saved directly to the destination folder.

Do not show the save status window: normally, the copy progress window is displayed during the archiving process. If the option is disabled, the window will not be displayed, only a flashing tray icon indicates that there is a backup operation in progress.

Use the current date as folder name and keep the last XX complete archives: when this option is enabled, the contents of source folders are stored more than once in the destination folders. This way it is possible to have many different complete backup archives. For example, if the backup project is configured to run daily and this option is enabled with 7 complete archives, all files will be stored for a week retroactively (all files will be saved 7 times, one backup copy for each days). The folder with the current date and time will be automatically created under the destination folder and the source files will be archived into it. If the target folder already contains the specified number of complete archives, the oldest archive will be automatically deleted. By using this option, it is possible to restore from a stable archive of any previous day in case of a problem or data loss. But it has a disadvantage: it requires much more storage space than a simple backup.

It is possible to generate report after execution of a backup project. The report can be created in all cases (upon a failure/problem or when the project completed without errors) or only when a problem encountered. It is also possible to completely disable report generation for this project. The report can be e-mail, network message or alert window displayed on the screen, according to the message settings. Optionally a sound alert can be enabled if a problem's encountered.

By enabling the Sound alert on problem option, a sound alert is generated according the sound settings on the Alerts page.

It is possible to configure the operation priority. By setting "maximum" priority, the project will be executed as soon as possible. This may reduce the performance of other applications running but this way the files may be archived sooner. It is recommended to use "maximum" for panic backup operations but idle or normal for other projects.


Transfer files and folders

If the project is configured to "transfer files and folders" in the project configuration window, the internal archiver module is used for archiving. During the process, a progress window is displayed with the current step (eg. transfer files, verify archive, etc.) and the current status and remaining time are displayed - if the Calculate the amount of data to be copied option was enabled.

Project is running (archiving files)

The execution can be cancelled by the Cancel button. In such case, Hard Disk Sentinel creates a report (if the report creation option was enabled) about that the user has cancelled the current running project. All other projects depending on the cancelled project will not be started. Note: in some cases the process may still run for some seconds before stopping.

The X (close) button can be used to close (hide) this progress window. This will not stop the running operation, the flashing disk icon on the system tray will indicate that the operation is still running:

Showing backup status on tray

Hard Disk Sentinel displays the current operation, step and progress if the mouse pointer is moved over this tray icon. The full progress window can be displayed by a click with left mouse button (and this will also hide the tray icon).

Note: after the project execution has completed, the status or problem information is saved into project_log.txt file in the folder of Hard Disk Sentinel. It is recommended to examine this file in case of a problem.


Configuration: Integration

On this page it is possible to configure how the application should be integrated to the system. Only advanced users should use these options and features.

Protection

The software can be protected by a password. Without knowing this password, the user is not able to examine and modify the current settings. Optionally the main information window can be protected also, so it is not possible to view hard disk details without the password.

When protection is enabled, the administrator can access the corresponding window after entering the correct password. The software remembers the password after closing the information or the configuration window, the user does not need to enter it again - except if the automatic log out option is enabled. This case after the specified time out value expired, Hard Disk Sentinel will ask for the password again.

System administrator can use Log out now button any time to log out after verification and modification of settings. This protects the user interface again with password.

Note: This function is available only in the registered version.

Service

Hard Disk Sentinel can work in two different modes. It can run as Application or Service. By default, it runs in Application mode: the software starts after the user (with proper administrator rights) logs in. Before version 2.02 this was the only mode.

When running Hard Disk Sentinel as NT Service, the software starts with the operating system and runs even if no user logged in or if a user has only limited rights. This way Hard Disk Sentinel works independently from the current user: it can control and verify hard disk status, start backup operations - just like the other mode.

Only the system administrator can install, uninstall and manage services. So the administrator should configure the application (for example, set thresholds, alarm options) and then switch to Service mode. It is recommended to use the previous (Protection) feature also to prevent unauthorized changes in configuration.

Notes about the service mode:

  • This feature is available only on NT based operating systems (Windows 2000, XP, 2003, Vista, Win7, Win8, Win10 and Windows Server 2003/2008/2012/2016 and so).

  • The software performs same functionality in service mode and application mode: it issues alerts, performs backup operation and so.

  • The name of the service is: HardDiskSentinelService, and runs in security context of "Local system". Administrator can change this by using Control Panel, Administrative Tools, Services window if needed (for example to enable access of remote drives and resources). The configured backup projects and external applications inherit the specified rights.

  • The service can be started and stopped from the Hard Disk Sentinel program group by using the proper shortcut. After stopping the service, it is possible to completely remove it and switch back to application mode. The user needs to have administrator rights and needs to enterthe correct password to do this (if the Protection feature was enabled).

  • It is possible to use the software in an "invisible" mode (without displaying windows, tray icons, messages) if the "Allow service to interact with desktop" option is disabled (in the "Service properties" window of the operating system). In this case the user is not able to access the main information and the configuration windows - unless he stops the service by using the "Stop service" shortcut. Windows Vista/7/8/10 does not display any user interface for interactive services, so Hard Disk Sentinel service runs in such "invisible" mode under Vista/7/8/10.

  • In the Professional version Hard Disk Sentinel Tray shortcut is available from the program group. This shows the tray icon(s) and allows accessing hard disk status information on Windows Vista/7/8/10 and newer OSes even if Hard Disk Sentinel is running in "Service" mode. This way users with limited rights may get hard disk status information and temperature/health indicators on the tray.

  • The service stops and starts automatically with the system, the user does not need to manually stop it before shutting down the computer.

  • The administrator should disable the access of Hard Disk Sentinel folder for users with limited rights. This way users will not be able to examine and modify settings and information outside the application.

  • Some systems, applications or desktop themes may cause that some parts of the user interface (status window, information on dekstop) are not or partially displayed.

  • It is possible to Start and Stop the service by using the Control Panel, Administrative Tools, Services window. Right click on HardDiskSentinelService and a popup menu will appear with Start and Stop commands. This is also possible from a remote computer if the user has the proper rights.

  • When the service is stopped, it is possible to install or uninstall the service by using HDSentinel.exe /INSTALL or HDSentinel.exe /UNINSTALL commands in Hard Disk Sentinel installation folder.

Remote Control

Enable WebStatus: if enabled, it is possible to examine hard disk status from the local or a remote computer/mobile phone/PDA by using a web browser. Optionally a password can be used to prevent unauthorized access. This way any user name and the Password on the Protection panel should be used to make the connection.

It is possible to specify any HTTP port, according to the current network configuration.

Note: this function is available only in the registered version.

When this option is enabled, the following queries can be used in the web browser:

  • http://server:port/status : the entire status window with all contents (exactly as configured), which is periodically updated after the specified time elapsed. The window has no borders and margins and it can be inserted into an IFRAME.

  • http://server:port/statuswin.bmp : status window (image only)

  • http://server:port/report : detailed HTML report which contains the configured report sections

  • http://server:port/xml : complete XML report

Note: the status window does not need to be displayed on the computer (server) to use this feature.

For example: if the option is enabled on the local computer and the default settings are used, enter http://localhost:61220/status into a browser to examine hard disk information.

Notes: all requests are logged with IP and date to "NetLog.txt" file. Queries other than the above returns 403 Forbidden error in the browser. It is NOT possible to access the file system or any other information by this feature.

Note: if the computer (server) has dynamic IP address, it is required to use the service of a dynamic DNS provider (translating the dynamic IP address to a fix host name) to remotely access the computer. This service is available freely on (for example) http://www.no-ip.com and http://www.dyndns.com .

    Hard Disk Status displayed in a remote browser (PDA)
    Hard Disk Status displayed in a remote browser (PDA)Hard Disk Status displayed in a remote browser (PDA)

Hard Disk Sentinel status windows from two or more computers can be easily combined into a single webpage (which is automatically updated to reflect the current status). This way it is possible to examine the status of different configurations remotely by opening this page (HTML file, which can be on a file server on the network or on the PC/phone/PDA itself) in a browser. Examples:

    <html>
<head>
<title>Hard Disk Sentinel Status</title>
</head>
<body>
<center>
<iframe src="http://192.168.2.101:61220/status" width=220
height=61 frameborder=0></iframe><br>PC #1<br><br>
<iframe src="http://192.168.2.102:61220/status" width=220
height=61 frameborder=0></iframe><br>PC #2<br><br>
<iframe src="http://192.168.2.103:61220/status" width=220
height=61 frameborder=0></iframe><br>PC #3<br><br>
</body>
</html>
    Displays 3 status windows in IFRAMEs (updated automatically, separately).
    <html>
<head>
<title>Hard Disk Sentinel Status</title>
<META HTTP-EQUIV="Refresh" CONTENT="300">
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Expires" CONTENT="-1">
<META HTTP-EQUIV="CACHE-CONTROL" CONTENT="NO-CACHE">
</head>
<body>
<center>
<a href="http://192.168.2.101:61220/report"><img
src="http://192.168.2.101:61220/statuswin.bmp" border=0></a><br>PC #1<br><br>
<img src="http://192.168.2.102:61220/statuswin.bmp"><br>PC #2<br><br>
<img src="http://192.168.2.103:61220/statuswin.bmp"><br>PC #3<br><br>
</body>
</html>
    Displays 3 status windows, and update all in every 300 seconds. When the first window is clicked, the complete report is displayed for that computer.
    Hard Disk Status displayed in a remote browser (PDA)
    The above saved into a HTML file on the PDA and opened in the browser.

Accept remote connections from server: Hard Disk Sentinel Enterprise can be used to remotely analyse hard disk problems, verify hard disk status and test hard disks on computers running the Hard Disk Sentinel client. If this option is enabled, the server can send commands and detect information about this computer.

Enable DynDNS, No-IP or Custom Dyamic DNS service: by using these services, it is possible to assign a fix host name to a changing (dynamic) IP address of a computer. With this constant host name, the computer could be accessed remotely, so remote management (webstatus, remote connections) is possible.

To configure this, a registration at one of the above services is required. Then the username, password and the registered host name should be configured in Hard Disk Sentinel. Later, when the application detects that the IP address of the computer is changed, it will automatically update the it for the associated host in 1 minute. This way the remote access would be possible after the computer re-connects the network.

The "Configure" button should be used to specify the username, password and host name for the specific dynamic DNS provider. After an IP update, the last server response can be checked by moving the mouse cursor over the corresponding Dynamic DNS option. This server response is useful to diagnose any problem (for example incorrect username).


Configuration: Send test report

From this page, it is possible to create a test report with detailed detection information and send it to the developer. Such report may have more information (compared to a full but formatted HTML or text report) about the detected hard disks, their type and details. These information may help to examine possible problems or to improve the application, so please send such reports to reports@hdsentinel.hu address.

The report can be sent immediately after created. This way Hard Disk Sentinel will automatically upload it to www.hdsentinel.com. If there is no active internet connection, the report can be saved to a file by the Save button and the user can send it later (from an other computer).


Hard Disk Tests

The following pages describe the different disk tests available in Hard Disk Sentinel. It is recommended to read carefully these pages (especially the general information) before using any of these tests.

  • General information, answers about disk tests

  • Hardware self tests: short, extended, conveyance tests

  • Random seek test

  • Surface test


Tests - General information

How it is possible that the health of the hard disk is low, the text description shows the bad sectors but the tests do not show any problems?

When the hard disk finds a bad sector, it tries to save (reallocate) the contents from the sector to the spare area. When this completes, the original sector location is marked and disk does not use it any longer: all further read and write operations are redirected to the spare sector. This way the tests (which does not only mean tests of this software) can only access this modified surface. In an optimal situation the surface is really perfect - the problems are fixed, bad areas are no longer used. Problem can be caused only if the bad area is relatively large (thus the health is low) and more and more problems (for example weak and bad sectors) born. To fix these issues, it is receommended to use the tests built into Hard Disk Sentinel because they can verify and fix the problems under a controlled environment. For more information about problems, please check the text description section.

All tests are designed to reveal disk problems. The health is calculated based on the problems found with the hard disk, the test may cause decrease of health. The health could increase only if the problems would become "hidden" (but not fixed!). This is not possible - except if the drive had weak sectors before the test and their count can decrease (even back to zero). The count of other problems detected (and fixed) by the hard disk cannot be decreased and would not be good, but by using the "offset" column on the S.M.A.R.T. page these problems can be ignored if the drive status is stable. For more information, please check the text description and the temperature calibration sections.

Why does the test find more or less bad sectors than displayed in the text description?

The bad sectors appear in the text description are already reallocated by the hard disk, which are no longer used. The bad sectors revealed by the test are still on active surface so these can potentially cause data loss. Our goal is to force the hard disk to reallocate these sectors also to prevent their future use. Usually the disk works better (even its health value may decrease because of the reallocation).

Can the health be improved? Can it be restored to 100 % ?

If the hard disk had weak sectors, their status can be improved during the tests. This may result in increased health value - even to 100 % if there were no other problems found with the drive. In all other cases, the health may decrease if the status of the drive is not stable and newer problems are revealed.

If the drive is stable: the health does not change even after many passes of the write tests, the previous problems may be cleared on the S.M.A.R.T. page by using the Offset column. This way the health can restored to 100 %.

Warranty replacement is possible only at 0 % health. If the health is higher (but still low) it is recommended to start the tests (even many times) to reveal further, currently not detected problems.

Why it is good to use the disk tests of Hard Disk Sentinel? Why it is not enough to simply copy files (to force reallocation)?

During the tests in the software, the hard disks are under better control and monitoring compared to plain file operations. The file system is unmounted to prevent the operating system and other software from accessing the disk and the status of the file system (for example fragmentation) does not affect the test. The performance of the blocks, retry count and disk health and tempearature are all factors which are continuously monitored during the tests. It is even possible to inspect the sector contents any time. Like surgery is only possible in hospital - hard disk testing and repair has its own controlled environment.

Types Of Tests

Generally, two different tests are available: hardware self test, and software testing (both are available in Hard Disk Sentinel). The later category contains the random seek time test also, which is a special test as it does not verifies the surface, just the seek capabilities of the drive.

The hardware tests can be better than software methods because they can examine the disk system and components (for example head, servo, electric components and so) by a special way which is not possible by software methods. It does not affect the stored information so they can be used any time (on IDE and S-ATA hard disks which support them), without any special preparation or backup. The use of hardware tests are recommended periodically, especially on perfect (or near perfect) disks to reveal any hidden problems.

In some cases, these hardware tests (Disk -> Short self test, Disk -> Extended self test) are not available, not supported or they result in an error quickly even in relatively low number of problems. No further information is returned about the result, for example it is not possible to list the sector(s) which are damaged. In such case, an appropriate software testing method is required.

When we speak about software testing, it is important to know that the WRITE operation affecting the disk surface is the most important: this forces the hard disk to verify the integrity of the data sector, reallocate it if required and repair weak sector. Because of this, all READ type tests (for example, scandisk but the format also) cannot be used to repair disk problems (and in many cases they even can't detect such problems). Scandisk verifies and fixes logical errors only (file system related errors) which are not really connected to physical disk status, errors (this is why they usually vanish after complete re-partition and re-format of the disk).

The WRITE tests are usually destructive as they need to overWRITE the stored data. In all cases be very careful before starting any of such disk tests, it is important to backup all data!

The software tests are recommended to use less frequently compared to hardware tests. Software tests are useful when

  • new empty hard disk is installed in the system
  • hardware self tests complete with error
  • the hard disk is suspicious (for example, making weird noises) and/or its health changes
  • it is required to refresh the stored data on hard disk or SSD/flash device (without erasing data) which is recommended to use periodically to prevent the cells to "forget" the stored information. Its frequency is based on the actual usage of the device.

In such cases, it is recommended to use the read test first which does not affect stored information. The read test cannot fix any errors but can show which areas of the drive are not perfect, damaged and/or slowly accessible and shows the temperature and performance characteristics of the drive. The real verify and fix of errors is possible later by a suitable write test. In case of more problems, it is recommended to backup the data and use the reinitialise disk surface test (even with a level 3 or higher). Other software may (incorrectly) call a simpler version of this test as low level format.

IMPORTANT: The developer offers no warranty on the stored data on any disks! Under all circumstances it is recommended to backup ALL DATA and read the description for the tests carefully before starting any of the tests.


Hardware Self Tests

The hardware self tests built in IDE / Serial ATA / SCSI / SAS hard disks are the perfect solution to test the hard disk status quickly or with very high detail. Usually the short and extended self tests are supported by the hard disks but some models support other (conveyance) self test also. The list of all supported self tests and the estimated time of such tests are displayed on the Information page of the hard disk.

The self tests are non-destructive, they do not affect the data stored on the hard disk. During the test, the hard disk is still usable but may be slower (and vice versa: hard disk usage may make the test much longer. It may be important for a system hard disk where the op. system or other software may cause much read/write operations).

The Short self test verifies the major components of the hard disk (read/write heads, servo, electronics, internal memory, etc). This test takes only some minutes.

The Extended self test performs the above and it has a complete surface scan which reveals the problematic areas (if any) and forces the bad sector reallocation. It is recommended to periodically use this test to verify the disk health - especially on a hard disk with less than 100% health.

The Conveyance self test (if supported) performs manufacturer-specific test steps. This usually verifies the mechanical parts of the hard disk to ensure that no handling damage occured.

The date and results (successful completion or the failing hard disk element) of the last self tests are displayed on the Information page. On this page, all supported hard disk tests can be started manually - or it is possible to configure automatic (scheduled) hard disk tests on the Operations page (Professional version only).


Random Seek Test

By this test it is possible to verify the noise level, track-to-track seek time and temperature levels of the hard disk, especially under excessive disk usage.

The test is especially useful after changing the acoustic level to verify how the modified setting affects the noise and seek time. This verification can be done by a short (quick) test.

The test can be used to verify the stability and temperature increase of the disk during a longer period of high usage. It is possible that during the test the temperature can increase with 10-15 Celsius degrees (compared to the idle temperature) so if the hard disk was too hot before starting the test, it is recommended to use the test only under control and cancel it upon reaching a critical temperature level.

Recommended use of the test: after installation of new hard disk. A longer test (8 hours or longer) can be used as stress-testing, to verify stability of the disk.

The test can be used even if the hardware self test stops with an error or if it is not supported by the hard disk. The test is safe, it does not affect the stored data, just positions the read-write head of the disk.

Note: the unregistered version allows only the shortest test (2 minutes) and only once on one disk.


Surface Test

By using this test, the surface of the hard disk can be examined with different methods. Some of these methods are safe for the stored data but others are destructive: the stored information are permanently erased during the test operation.

First it is required to select the hard disk and the test type to be started. The detailed description of the test are displayed upon selection, and the software displays how the test affects stored data. It is strongly recommended to read these information carefully before starting the test.

It is possible to use the "Multiple disk drives" button to select more disks to be tested at the same time using the same test method, options and settings. The amount of disks to be tested is not limited (just the overall system performance/resources may limit them).

The following tests are possible:

- READ Test - Reads the disk surface to verify if all sectors are accessible and readable.

The test is safe, it does not affect stored data.

Disk problems may remain hidden and revealed disk issues are NOT fixed (like with ScanDisk).

- WRITE test - Overwrites the disk surface with configurable pattern. Forces the analysis of any weak sectors and verifies any hidden problems and fixes them by reallocation of bad sectors (this is drive regeneration).

Enables better use of the disk as after the test the spare area will be used instead of any problematic sectors.

Note: on the Configuration page, it is possible to configure the pattern to be written by the write test. By default, Hard Disk Sentinel writes zeroes (00 bytes) but it is possible to specify that all sectors should contain the sector numbers (may be useful in later data recovery) or even random data. Also it is possible to specify any byte/byte sequence as overwrite pattern. For example entering ABC in the byte/byte sequence field will cause that all sectors will contain ABC string repeating. In this option, it is possible to enter hex sequence, for example 0x99 0x88 0x77 to write such bytes. It is also possible to specify FILE=existing file name, then the contents of the file will be used as overwrite pattern.

- WRITE + read test (Pro version only) - Overwrites the disk surface with configurable pattern and then reads back sector contents, to verify if they are accessible and consistent. Forces the analysis of any weak sectors and verifies any hidden problems and fixes them by reallocation of bad sectors (this is drive regeneration).

Enables better use of the disk as after the test the spare area will be used instead of any problematic sectors.

- Read + WRITE + read test (refresh data area) (Pro version only) - Reads stored data from each blocks, writes back the contents and finally reads the information and compare with original contents. By the extensive test, an additional write cycle is used before writing back the contents to improve the efficiency of the error correction (drive regeneration).

The operation is usually safe for the stored information but data loss may occur if the system is not stable and/or upon power failure, overclocking, memory/power supply/cable problems and other factors.

The test can be used to refresh the data area of the storage device, without the need of complete erase but it is still recommended to backup important data before this test.

- Reinitialize disk surface (Pro version only) - Overwrites the disk surface with special initialization pattern to restore the sectors to default (empty) status and reads back sector contents, to verify if they are accessible and consistent. Forces the analysis of any weak sectors and verifies any hidden problems and fixes them by reallocation of bad sectors (this is drive regeneration).

Enables better use of the disk as after the test the spare area will be used instead of any problematic sectors.
Very intensive and time-consuming test, especially if the level (the number of overwrite cycles) is set to higher value.

The simple version of this test is usually (incorrectly) called as low level format by other tools. It can be effectively used to permanently destruct stored information (Navso P-5239-26 standard data destruction).

- Disk Repair (Pro version only) - Reads the disk surface to verify if all sectors are readable and forces the disk drive to repair any problematic (pending, weak) sectors: restore the status to good or reallocate (replace from spare area) if required to prevent further use of the original sector.
The test is safe for stored data and the damaged file(s) will be readable, however file fragment(s) on damaged sectors may be corrupted. File(s) on the affected repaired sectors are listed when the test completed.
The test is best to be used to repair drives with weak sector(s) without the need of complete backup (and use of the Reinitialize disk surface test) and works on both system and secondary drives too. For more information, please check: Hard disk case: weak sectors

Each tests have different configuration options:

In general, it is possible to configure the order of blocks to be tested and optionally the repeat count can be specified (so the software runs the same test on the disk two or more times) and it is possible to unmount all logical volumes (partitions) during the test. The latter is strongly recommended to prevent other software and the operating system from accessing the disk during test. System drive (containing the operating system, the root folder of the user or the swapfile of Windows) cannot be locked this way. Because of the actual system running, only read test (which does not affect stored data) can be used on a system drive.

Note: some tests (for example the Reinitialise disk surface and Refresh data area tests) and test options are available only in the Professional version of the software.

Note: to prevent unauthorized people from using the tests (especially the write tests) the software asks for the configured password before opening the test window.

Test Details

The software divides the data area to 10000 blocks, this is the surface map of the disk. When any block is clicked by the mouse, the contents of the sector under the selected block are displayed. This way it is possible to inspect the stored data and/or the written data after performing a write test. It is possible to examine the sector contents (and load back the results of a previously saved test) without starting a test by clicking the View button. This is safe for the stored data on the disk.

During the tests, Hard Disk Sentinel verifies the integrity of each sectors under the displayed blocks. If the block is accessible and can be processed without errors, they are shown by green color. Darker green color means that the sectors are slower and harder to process (read or write depending on the test type) but they are still good. Having some (especially random) darker green blocks are completely acceptable unless they form a continuous, larger area (especially with yellow/red blocks near). The software filters out the effect of slower transfer times at the end of the disks. If sectors are harder to access and can be processed only after one or more retries, then the blocks are damaged but repaired, the software shows the corresponding blocks with yellow. Red color means that the block of sectors cannot be processed (read or written - according the selected test). Further WRITE test may be required to force the drive to reallocate the problematic sector(s) in the block.

In case of damaged or bad blocks found, it is recommended to examine the whole data surface with one or more WRITE test(s). During write tests, the software forces the hard disk to verify the status of the sectors on the surface and re-allocate them to the spare area. This way the original (bad) sector will not be used and all further read and write operations are redirected to the spare area. This is called regeneration. The resulting hard disk functions better, it is even possible that on following tests it shows only good (green) blocks because the bad sectors are no longer used. The side effect of regeneration is that the health of the drive may decrease because more and more problems are revealed. So regeneration usually does not improve the health (except if weak sectors were found and their status if stabilized).

During the tests if bad block(s) are found, it is possible that the software and/or the operating system is not responding during the re-allocation. This can take some minutes or even hours - depending on the size of the affected surface area. It is not recommended to cancel the operation and avoid reset or power off the computer. It is possible that the disk controller or its driver may disconnect the not responding disk so it disappears from the system. This is more likely possible with USB connection. If this happens, it is recommended to connect the hard disk directly to the motherboard or a different controller and start the test again.

Recommended use of the tests: start an extensive write test (for example with "reinitialize disk surface") to verify if the disk surface is usable and force the verify and reallocation of any sectors at this time. Like the random seek test, the software measures temperature levels during these tests, so the highest possible temperature can be checked during this extreme load. The tests can be started on other type of storage devices (not only hard disks), for example on SSD devices, FLASH memory cards, pendrives also can be tested - and the "read - write - read" test can be effectively used to prevent data loss caused by the "forget" effect of the memory cells.

The tests can be useful even if the hardware tests stop with an error, not supported or not available.

Note: the unregistered version does not allow the starting of any test(s). It is only possible to view sector contents with unregistered versions.

Note: during the tests, software and the operating system running in the background may affect the performance (thus the resulting color) of each blocks. To minimise this effect, the software prevents the screensaver from starting, prevents the computer entering any standby or lower power management mode and using a higher priority. Anyway, it is recommended to close all other background operations during the test and repeat the test if the performance decrease effects a larger area (not only 1-1 blocks). The software has option to repeat the test to minimise this momentary performance decrease.

Pause, resume, restart

Disk tests on high capacity hard disks may take long time, sometimes 12-24 hours or even more. If ever required to pause the disk test, just click on the disk surface map, on any of the white blocks (or the already processed green blocks) to open the Disk Contents Inspector window, showing the raw contents of the sector. The test paused while that window is displayed and if you close it, the test automatically resumes.

If it is required to cancel the test, then it is possible to restart the test later from a certain point: select Disk menu -> Surface test and the appropriate test type but before starting the test, select Configuration tab in this window. There is an option called Limit testing to specific data blocks where it is possible to configure the first and last block to be tested. For example to test the last 25%, specify first block = 7500, last block = 9999.

Hard Disk Sentinel does not automatically restore and continue a previously started test. When the test stopped, the software could not check (have no control about) what exactly happens with the drive after the test stopped, it could not guarantee successful test operation in this case. It is possible to have complete reboots, Windows/system updates, even device connection (hardware) changes and so - which may affect the whole operation of the disk - and the result of the test.

This is especially true if there is something unwanted / unforeseen happens (like power loss, power failure, or over-voltage when the power came back). These may even cause damages on any part of the drive (generally any hardware) so even if previously tested for example 92% of the drive and then continue, we can't be really sure that things are 100% perfect.

In such situations, the user may consider if he can re-start the whole test - or restart from a specific point, for example from the last known tested block.

Examples

The end of the usable data area is bad. The bad blocks form continuous areas, suspecting a serious surface problem. Notice the yellow damaged block near the lower left corner: it is neighbor of a bad block and will probably turn to bad at later use. Even non-damaged blocks are very slowly accessible. It is recommended to check the location of the first problematic block with the mouse pointer and create partition(s) which do not use the following area.

The hard disk showed many problems. It stopped during reading and writing operations and its health was relatively low (30 %). There were different bad, damaged and slowly accessible blocks.

The same disk after many "Reinitialize disk surface" tests. The weak sectors are fixed and the bad sectors are reallocated (the health decreased to 20%) but the overall surface is improved and the disk can still be used for some time (but not recommended to store important data because of the problems).

A typical low health (22 %) hard disk. Many write tests (especially the re-initialise disk surface test) can improve the status but it is not recommended to use the first half of this drive (by creating partition(s) only at the second half).


Appendix - Information

Appendix

General information about the S.M.A.R.T. technology and functions of Hard Disk Sentinel are described in the following chapters:

  • Vendor specific vs raw values

  • Health calculation

  • Performance calculation

  • Power on time

  • Temperature calibration

  • Known S.M.A.R.T. attributes


Vendor specific vs raw S.M.A.R.T. values

Vendor specific vs raw values

As described on the S.M.A.R.T. page of the hard disks, you may see that the evaluation of attributes are possible by using the vendor specific method (checking the value and the worst fields) or by using a different method which is independent from the manufacturer (checking the data field). How these two different methods work and what is the difference?

Vendor specific values

The current status of the hard disk are constantly examined by many sensors. The raw values measured are stored (in the "data" field of the corresponding S.M.A.R.T. attribute) and evaluated by an algorythm (coded internally in the firmware of the hard disk).

After this evaluation, the vendor specific result for the attribute is stored in the value field. It indicates how "good" the attribute is (compared to the number in the threshold field. When the hard disk is new (never used before) this value has a theoretical maximum value and then it decreases - until it reaches the threshold level.

This way one attribute is perfect if the following inequality is TRUE:

A - f(r) >= C

Where:

  • A - theoretical maximum value, the "best" possible value for the attribute.

  • f - a function to calculate the decrement based on the raw (r) values. Usually it is a linear function, so r is multiplied by a B constant.

  • C - the vendor specific threshold level, under this level, the attribute is considered problematic.

Using this method has some disadvantages. The A, B, C, values (or the f function) is not defined exactly (these may vary from model to model even on two hard disks from the same manufacturer). Other disadvantage is that the attributes are evaluated independently, the relationship between them is ignored.

In the real life it is possible to find non realistic values which may indicate improper status of the hard disk. Some hard disk manufacturers may define 60-70 years or even more for a hard disk total lifetime when the corresponding attribute is examined. Also it is possible that many thousands of bad sectors are needed until the hard disk will show itself problematic if the above method is used. Of course, many problems may occur long time before reaching this threshold. For example, examining and reallocating data from sectors on a bad (damaged) data area may take lots of time (even hours) - and it may not be completed without problems. During this process, the system is usually not responding, so a problematic hard disk which generates problems again and again may significantly reduce the overall system stability.

Most hard disk analyser applications use the above method to determine the hard disk health status. In many cases, displayed hard disk status is much better than the actual because of the moderate threshold values. Some manufacturers may change the values to show the health status of their driver better than others. This may mislead some softwares or the users.

It is important that after one S.M.A.R.T. attribute reaches the threshold level, the hard disk should run for 24 hours (to run a possible backup). In most cases it is not enough and only partial data can be saved during this time. Saving data from a problematic, almost dead hard disk can be very painful, long and expensive process. It is better to identify and prepare for the problem long time before a catastrophic situation.

Analysing raw values

Hard Disk Sentinel was designed to overcome this situation. The default evaluation methods check the raw values of the S.M.A.R.T. attributes. This way it is possible to determine the hard disk health independently from the manufacturers and models. Note: it is possible to select vendor specific evaluation method in the condition calculation. But the constant use of this method is not recommended (because of the problems described above), as it may give improper results.

When raw values are evaluated, there is no pre-defined (vendor specific) threshold for the attributes. But increasing problems reduce the disk health (constantly and drastically) and this predicts the possible failure and data loss.

The detailed explanation of the calculation methods are described here.


Health calculation

It is possible to select many different health (condition) calculation methods at the advanced options. The differences between these evaluation methods:

Analyse data field

If this option is selected, the raw, measured numbers (displayed in the Data column for the corresponding S.M.A.R.T. attributes) are used to determine hard disk health. When developing the calculation method, the following aspects were important:

  • It should reflect the actual status. Should not depend on time or past values. Determine the result without using long time analysing or testing methods.

  • It should not increase with time - do not show the health status better after some time (except if some pending sectors were successfully tested and they can be used because they have no problems).

  • It should reflect small changes and degradations. Constantly increasing number of problems should constantly decrease the result.

  • It should count the relationship between attributes. More different problems should decrease the result much drastically than only one single problematic attribute.

  • The result should be same for two (or more) hard disks with the same problems, even if the hard disks are from different models, manufacturers.

  • The result should be controlled in some situations. For example after replacing a problematic power supply, the problems encountered previously should be ignored. Also an improper sensor should be ignored or its value should be modified (please see temperature calibration about this).

The hard disk has 100% condition initially. All critical health-rated S.M.A.R.T. parameters (if they are available, it depends on the manufacturer) decrease this value. These attributes have a pre defined weight and a maximum limit value (the latter defines the maximum degradation in health value for the attribute). The overall health percent value is calculated by multiplying the remaining percent values (100 - degradation %).

Currently, Hard Disk Sentinel has two different such methods. By using the default method, the weights and limits (see below) are lighter. If the more strict, recommended for servers option is used the values are much more strict, the problems may reduce the health much drastically.

The following tables contain the health related (critical) S.M.A.R.T. attributes affecting the health value with their weights and maximum limits:

Weights and limits for the default calcuation method:

S.M.A.R.T. attribute | Weight | Limit %
Reallocated sectors count | 1 | 70
Seek error rate | 0.5 | 20
Spin retry count | 3 | 60
Reallocation event count | 0.6 | 30
Current pending sectors count | 0.6 | 48
Off line uncorrectable sectors count | 1 | 70

Weights and limits for the more strict calculation method:

S.M.A.R.T. attribute | Weight | Limit %
Reallocated sectors count | 6 | 60
Seek error rate | 2 | 20
Spin retry count | 6 | 40
Reallocation event count | 4 | 30
Current pending sectors count | 4 | 30
Off line uncorrectable sectors count | 6 | 60

The numbers are determined by examining the arrived reports and the S.M.A.R.T. status of (unusable) hard disks received for data recovery.

Note: the Data column contains hexadecimal values. These should be converted to decimal before calculation. The lower 16 bits (righmost 4 digits) are used in the calculation method.

For example: using the default calculation method. If the "Reallocated sectors count" attribute has 0002 in the "Data" column, the health value = 100 x ( 100 - 2x1 ) % = 98 %

If the "Current pending sectors count" attribute has 0005 in the "Data" column also on the same hard disk, the health is = 98 x ( 100 - 5x0.6) % = 95 %. The more strict calculation method gives 100 x (100 - 2x6) % x (100 - 5x4) % = 70 % as the resulting health value.

The limit % defines how much % can the attribute decrease the overall health value. For example, if the "Off line uncorrectable sectors" attribute contains 0200 in the "Data" column (which is 512 if converted to decimal value), the heatlh should fall by 512 x 1 = 512 %, but the limit for this attribute is only 70 %. With other words, if the value of the "Off line uncorrectable sectors" is high, the health value of the disk cannot be larger than 30 %. Other problems may decrease the health value more.

Analyse vendor specific values

If this option is selected, the health-related S.M.A.R.T. attributes are evaluated. All such attributes will have a small condition value calculated between 0 and 100% based on the actual value, the threshold and the theoretical maximum value (the latter is determined by Hard Disk Sentinel based on the manufacturer and model). Multiplying these values will give the overall health of the hard disk condition.

For example: the threshold for the "Reallocated sectors count" is 36, the value is 84 and the initial value for this attribute was 100. The condition value for this attribute is: (1 - (100-84)/(100-36)) x 100 = 75 %. If (on the same hard disk) the threshold for the "Seek error rate" is 30, the value is 60, and the initial value is 90, the condition of this attribute is 50 % and the overall health of the hard disk is 37.5 %.

Note: 1.40 and previous versions of Hard Disk Sentinel had only more strict, recommended for servers calculation method. Upgrading from 1.40 or older version may result in a different health value display. On the advanced options page it is possible to modify the calculation method any time.

Note: the selected calculation method is saved into the reports to prevent confusion.

Note: usually the different health values follow the formula:

Vendor specific >= Default >= More strict

By using the "more strict" method, the health value decreases drastically in case of any small problem, so the use of this method is recommended only when no (even small) problem is allowed.

SSD Health

Memory cells in solid state devices (generally flash storage) can tolerate only limited number of overwrite passes, so experience "wear" during normal use.

The "wear-leveling" feature of the SSD tries to hide/minimise this effect but generally it can't be eliminated. Usually the SSD device maintains an overall health of the memory cells and provides this information by various attributes.

If no problems found, Hard Disk Sentinel reads such attribute(s) to determine the complete health of the solid state device and displays in the text description: The health is determined by SSD specific S.M.A.R.T. attribute(s):

Such attributes can be #177 Wear Leveling Count, #231 SSD Life Left, #233 Media Wearout Indicator, Percentage Used, Remaining Drive Life or similar. On the S.M.A.R.T. page, it is possible to examine the current value and also change with time.

Such values (and thus the health) is calculated by the SSD, independently from any software, based on the actual usage: amount of written data, power on time and so. To keep the health high, try to minimise the amount of data written to your SSD.


Performance calculation

The performance value of the hard disk can be calculated differently (like the health value). The calculation method option on the advanced options panel defines the method used to calculate performance value also.

Analyse data field

Hard Disk Sentinel combines different values to determine this value. The raw values of performance related S.M.A.R.T. attributes (for example, seek time) affect the overall performance by maximum 25%. The number of data transfer errors (ultra ATA CRC errors) found in the last month may also reduce the performance value by 25%. These transfer errors are not really indicate the problem of the hard disk, but they can decrease the stability and performance of the system.

The rest 50% of the performance value is calculated by examining the currently used DMA transfer mode and the maximum available transfer mode. If the hard disk works only in PIO (programmed I/O) mode, this part of the condition value is 0 instead of 50.

For example: if the transfer rate is only Ultra DMA mode 2 (33 MB/s) instead of its maximum available transfer rate Ultra DMA mode 5 (100 MB/s) but the performance related S.M.A.R.T. attributes are correct and no data transfer errors found in the past month, the overall performance value will be 25 + 25 + (2/5) x 50 = 70 %. In this example, the problem is probably caused by using an old IDE cable with only 40 wires.

Analyse vendor specific values

If this option is selected, the performance-related S.M.A.R.T. attributes are evaluated. All such attributes will have a value calculated between 0 and 100% based on the actual value, the threshold and the theoretical maximum value (the latter is determined by Hard Disk Sentinel based on the manufacturer and model). Multiplying these values will give the overall performance value of the hard disk condition.


Power on time

Hard disk power on time can be determined by examining the #9 "Power on time count" S.M.A.R.T. attribute of the hard disk. This value is supported by most modern IDE and S-ATA hard disks.

The raw value of this attribute is constantly increasing when the hard disk is under power (running, but not neccessarily performing a read or write operation). The unit of the time depends on the manufacturer. It can be hours (the value is increased once per every hour), minutes or half-minutes. Different units are also possible and two hard disks from the same manufacturer may not have same time units.

After installation, Hard Disk Sentinel starts examining this attribute. It checks the elapsed time between two consecutive increases of the raw value of this attribute. During this test, an estimated power on time value is displayed (with grey color) and it may not be accurate. This test can run up to 20 minutes. If the user closes the application during the test, it will be automatically restarted on the next launch of Hard Disk Sentinel until it can determine the unit of time used on all hard disks. After successful measure, the unit is saved and it will be used automatically later. This measurement has no effect on the performance of the hard disk or the computer.

After the measurement (or if it is not required) the exact, accurate power on time value is displayed (with black color) and the "estimated value" text is not displayed. If the displayed value seems to be incorrect (too low or high), the "Repeat Test" button can be used.

When the measurement completed, it is recommended to send a test report. The received reports help in further development and it is possible that in a later version the exact power on time count will be displayed from the first time (without the need of the measurement).

The value displayed next to the Power on time indicates the total time the drive was running (powered). Idle time (when there was no read or write operation) also increases this value but standby time does not increase this time. One displayed day means 24 hours. For example, a two years old hard disk which is used 12 hours every day will show the same "power on time" as a one year old hard disk which is used in 24/7 mode (like a 3 years old hard disk working 8 hours every day).

Note: the power on time display may not be correct on some models.

Estimated remaining lifetime

Analyse data field

if the "Analyse data field" option is selected as condition calculation method on the advanced options page, the remaining lifetime is calculated by the following method:

  • By default, the total expected lifetime of a hard disk in perfect condition is defined as 5 years (running every day and night on all days). This is equal to 1825 days in 24/7 mode or 43800 hours.

  • The elapsed power on time decreases this value.

  • The result is decreased according the number of days when the temperature was too high. If the maximum (peak) temperature was high, it is not so critical but if the average temperature was too high (it means the temperature was high for longer time) the result is reduced drastically.

  • The result is multiplied by the square of the health value of the disk.

Note: Hard Disk Sentinel displays 1000 days as maximum value for estimated remaining lifetime. Of course in an ideal situation this value will not decrease even after hundreds of days.

For example: the hard disk is working for 600 days (600 x 24 hours) and its temperature was not too hot (there were no days with too high average temperature) and the health is 70%. The total remaining lifetime is 1225 x 0.7 x 0.7 = 600 days and 6 hours.

As you can see, the health value drastically determines the estimated remaining lifetime of the hard disk. If the health value is low, the remaining lifetime display will remain unchanged for many days, even if the power on time value increases. For example, if the health value is 25% for a hard disk, 16 days needed (assuming the hard disk is working 24 hours daily) to decrease the remaining lifetime with one single day (because 16 x 0.25 x 0.25 = 1).

Note: the estimated remaining lifetime depends on many factors (temperature, health) so it is recommended to perform the steps of the temperature calibration and select the correct condition calculation method based on the actual situation and use the correct offset values for the S.M.A.R.T. attributes if neccessary. Only advanced users should use and modify these options because a wrong combination of settings may result in improper display of some values.

Analyse vendor specific values

If the "Analyse vendor specific values" setting is used, the estimated lifetime is determined by the threshold exceed date for the critical S.M.A.R.T. attribute which will reach its threshold before any other critical S.M.A.R.T. attributes of the hard disk. Such threshold exceed dates are displayed on the S.M.A.R.T. attribute graphs of a hard disk (if the "display vendor specific values" option is selected next to the graph).

Note: this method is reliable only if Hard Disk Sentinel constantly analyses the hard disks for a very long time (this may be weeks or even months). In other cases it is possible to predict incorrect results by a small degradation of the attributes (for example, threshold exceed date would be in January 2100. Of course this is not real but such values may appear in other hard disk monitoring applications). To avoid this situation, Hard Disk Sentinel displays 1000 days as maximum value for estimated remaining lifetime. Of course in an ideal situation this value will not decrease even after hundreds of days.


Temperature calibration

The temperature sensor built in most modern hard disks may give improper results. The difference between the measured and the actual temperature can be 7-9 Celsius degress or even more.

To fix this problem, it is possible (and recommended) to measure the actual temperature of the hard disk by using an external infrared thermometer or a front panel with temperature sensor and set the difference between the measured temperature and the temperature displayed by Hard Disk Sentinel (reported by the drive itself) as temperature offset. This is called calibration.

After the real temperature has measured (by the thermometer or other external temperature sensor), the offset can be calculated by subtracting the value reported by the software from the measured value. This offset can be positive (the software reports smaller temperature than the real) or negative (the software reports higher temperature than the real).

This offset can be specified on the S.M.A.R.T. page of the hard disk, after selecting attribute #194 (hard disk temperature) and using the + / - buttons (by clicking on the number between the icons, the offset value can be entered directly in Celsius units).

S.M.A.R.T. attributes, details and trends

Hard Disk Sentinel will automatically increase (or decrease) all hard disk reported temperatures by the configured offset value. This way the correct (real) temperature will be displayed and used in all cases (for example, when checking hard disk temperature against a threshold and when saving reports etc.)

It is recommended to perform the temperature calibration on all installed hard disks if possible. Same type of hard disks may require different temperature offsets.

Note: if the calibration is not possible (the computer chassis cannot be opened), an estimated offset value can be determined by checking the first displayed temperature immediately after starting the computer and comparing the value with the environment (room, office) temperature. At this time, the CPU, video card or other components are not too warm and they do not affect the temperature of the hard disk. Of course this is true only if the computer had enough time to cool down to the environment temperature (it was not powered off for at least 8 hours).

For example, if the hard disk temperature is displayed as 17 Celsius degrees (immediately after starting the computer) and the room temperature is 22 Celsius degrees, +5 can be configured as offset value (because the hard disk cannot be cooler than its temperature). This offset is better than nothing but of course an external thermometer is needed to determine the proper temperature offset value.

Note: the temperature offset should be specified in Celsius units, regardless of the selected temperature unit (Celsius or Fahrenheit).

Note: the unregistered version automatically resets all offset values to 0 when the user restarts Hard Disk Sentinel.


S.M.A.R.T. attributes

S.M.A.R.T. attribute list (ATA)

This is the list of all known attributes supported by IDE and Serial ATA hard disks. Note: some manufacturers may use the attributes for different purposes also. Attributes not listed here are "vendor specific" attributes (their purpose is not known).

1 | Raw Read Error Rate | Errors occured while reading raw data from a disk Indicate problem with the disk surface or the read/write heads. Critical attribute
2 | Throughput Performance | General throughput performance of the hard disk Indicate problem with motor, servo or bearings.
3 | Spin Up Time | Time needed by spindle to spin-up to full RPM Indicate problem with motor or bearings. Critical attribute
4 | Start/Stop Count | Count of start/stop cycles of spindle This value does not directly affect the condition of the drive.
5 | Reallocated Sector Count (Reallocated Sectors Count) | Count of sectors moved to the spare area Indicate problem with the disk surface or the read/write heads. Critical attribute
6 | Read Channel Margin | Margin of a channel while reading data The exact function of this attribute is not specified.
7 | Seek Error Rate | Rate of positioning errors of the read/write heads Indicate problem with servo, head. High temperature can also cause this problem. Critical attribute
8 | Seek Time Performance | Average time of seek operations of the heads Indicate problem with servo. Critical attribute
9 | Power-On Time Count | Total time the drive is powered on The unit of the measure depends on the manufacturer.
10 | Spin Retry Count | Retry count of spin start attempts Indicate problem with motor, bearings or power supply. Critical attribute
11 | Drive Calibration Retry Count | Number of attempts to calibrate a drive Indicate problem with motor, bearings or power supply.
12 | Drive Power Cycle Count | Number of complete power on/off cycles This value does not directly affect the condition of the drive.
13 | Soft Read Error Rate | Number of software read errors The number of uncorreactable read errors.
184 | End-to-End error | Number of parity errors during transfer between the cache RAM and the host.
187 | Reported Uncorrectable Errors | Errors that could not be recovered using hardware error correction methods.
188 | Command Timeout | Number of aborted operations due to HDD timeout. Value larger than zero may indicate power supply or data cable connection problems.
189 | High Fly Writes | Number of unsafe write operations outside the normal head flying range.
190 | Airflow Temperature | Airflow temperature The temperature of the air inside the hard disk housing.
191 | Mechanical Shock | Count of problems caused by mechanical shock Acceleration (for example falling) can cause mechanical shock.
192 | Power off Retract Cycle | Count of power off cycles This value does not directly affect the condition of the drive.
193 | Load/Unload Cycle Count | Count of load/unload cycles Number of cycles the head moved into landing zone position.
194 | HDD Temperature | Disk temperature The temperature inside the hard disk housing.
195 | Hardware ECC Recovered | Count of correctable errors Number of errors corrected by the internal error correcting mechanism.
196 | Reallocation Event Count | Count of sector remap operations Number of all (successful and failed) remap operations. Critical attribute
197 | Current Pending Sector Count | Count of unstable sectors These pending sectors may be remapped to the spare area. Critical attribute
198 | Off-Line Uncorrectable Sector Count | Count of uncorrectable errors when reading/writing Indicate problem with the disk surface or the read/write heads. Critical attribute
199 | Ultra ATA CRC Error Count | Count of errors during data transfer between disk and host Indicate problem with the power supply or data cable.
200 | Write Error Rate | Errors occured while writing raw data from a disk Indicate problem with the disk surface or the read/write heads.
201 | Soft Read Error Rate | Number of software read errors The number of uncorreactable read errors.
202 | Data Address Mark Errors | Number of data address mark errors Number of incorrect or invalid address marks.
203 | Run Out Cancel | Number of data correction errors Invalid error correction checksum found during error correction.
204 | Soft ECC Correction | Number of corrected data errors Errors corrected by the internal error correction mechanism.
205 | Thermal Asperity Rate | Number of thermal problems Total number of problems caused by high temperature.
206 | Flying Height | Head flying height The height of the disk heads above the disk surface.
207 | Spin High Current | Current value during spin up The current needed to spin up the drive.
208 | Spin Buzz | Number of cycles needed to spin up The number of retries during spin up because of low current available.
209 | Offline Seek Performance | Drive performance during offline operations The seek performance of the drive during internal self tests.
211 | Vibration During Write | Vibration encountered during write operations.
212 | Shock During Write | Shock encountered during write operations.
220 | Disk Shift | Distance of the disk has shifted relative to the spindle Incorrect disk spin can be cause by mechanical shock or high temperature.
221 | G-Sense Error Rate | Number of mechanical errors Number of errors resulting from shock or vibration.
222 | Loaded Hours | Number of powered on hours This value is constantly increasing (once per every hour).
223 | Load/Unload Retry Count | Number of load/unload operations The number of drive head enters/leaves the data zone.
224 | Load Friction | Mechanical friction rate The rate of friction between mechanical parts. Indicate problem with the mechanical subsystem of the drive.
226 | Load-in Time | Total time the heads are loaded The time while the read/write heads are in the data zone.
227 | Torque Amplification Count | Rate of torque increase Torque increase during the spin up operation of the hard disk.
228 | Power-off Retract Count | Number of power off cycles The number of times the head was retracted as a result of power loss.
230 | GMR Head Amplitude | Head positioning amplitude Head moving distances between operations.
231 | Hard Disk Temperature | Disk temperature The temperature inside the hard disk housing.
240 | Head Flying Hours | Number of head positioning hours Time spent during the positioning of the drive heads.
250 | Read Error Retry Rate | Number of retries during read operations Number of errors found during reading a sector from disk surface.
254 | Free Fall Event Count | Number of free fall events detected by the accelerometer sensor.

S.M.A.R.T. attribute list (SCSI)

This is the list of all known attributes supported by SCSI hard disks. Note: some manufacturers may use the attributes for different purposes also. Attributes not listed here are "vendor specific" attributes (their purpose is not known).

01 | Buffer over/under run counters
02_0000 | Write errors corrected without substantial delay
02_0001 | Write errors corrected with possible delays
02_0002 | Total write errors
02_0003 | Total write errors corrected
02_0004 | Total write errors corrected by algorythm
02_0005 | Total bytes written
02_0006 | Total uncorrected write errors
03_0000 | Read errors corrected by ECC hardware method
03_0001 | Read errors corrected with possible delays
03_0002 | Total read errors
03_0003 | Total read errors corrected
03_0004 | Total read errors corrected by algorythm
03_0005 | Total bytes read
03_0006 | Total uncorrected read errors
04_0000 | Read reverse errors corrected by ECC hardware method
04_0001 | Read reverse errors corrected with possible delays
04_0002 | Total read reverse errors
04_0003 | Total read reverse errors corrected
04_0004 | Total read reverse errors corrected by algorythm
04_0005 | Total bytes read reverse
04_0006 | Total uncorrected read reverse errors
05_0000 | Verify errors corrected without substantial delay
05_0001 | Verify errors corrected with possible delays
05_0002 | Total verify errors
05_0003 | Total verify errors corrected
05_0004 | Total verify errors corrected by algorythm
05_0005 | Total bytes verified
05_0006 | Total uncorrected verify errors
06_0000 | Non medium errors
07 | Last error event
0B | Last deferred error or asynchronous event
0D_0000 | Temperature
0D_0001 | Reference temperature
0E_0001 | Manufacture date (year/week)
0E_0002 | Accounting date
0E_0003 | Specified cycle count over device lifetime
0E_0004 | Accumulated start-stop cycles
0F | Application client parameter data
10 | Self test results log
18 | Protocol specific port log
37_0000 | Blocks sent to initiator
37_0001 | Blocks received from initiator
37_0002 | Blocks read from cache and sent to initiator
37_0003 | I/O commands with size smaller than segment size
37_0004 | I/O commands with size larger than segment size
3E_0000 | Power on time
3E_0008 | Remaining minutes until next internal test


Text Description

Hard Disk Sentinel analyses the S.M.A.R.T. attributes provided by the disk and by evaluating these values, creates and displays a textual rating. It may contain the number of problems encountered during the lifetime of the hard disk, the spin up problems, the data transfer errors, etc. The background color of this area (green, yellow, red) indicates the health of the disk. The text area may contain tips to correct the problems so it is recommended to read the details.

What Is The Next Step?

If the health level of the disk is below 100%, it does not necessarily mean catastrophe. The displayed health value is calculated by all problems ever found in the lifetime of the disk until now. Such problems are all recorded in the internal database (the S.M.A.R.T. table) of the disk and Hard Disk Sentinel software reads and displays them.

The first thing is to verify that these problems are still actual - or they were already fixed or the situation is already improved. For example, if bad sectors are displayed, they are not used any more by the hard disk and they cannot be accessed by any means (the spare area is used instead of the problematic sectors). That's why surface scanner applications (for example, scandisk) does not show any problems, because they also test the spare area (see below).

Also if spin up problem is displayed (which can be caused by weak power supply or problems with the main power line) and these are already fixed (for example, power supply is replaced or an UPS is installed) such problems are not significant any more.

The most important is to make sure if the hard disk status is stable or not: how the health value changes under high load and during long term use. If the health value is not too high but stable (does not change), the previously found problems can be ignored because the disk is not using the reallocated sectors any more and no new bad/weak sectors found (if the text description contains this).

The best method is the data-safe hardware self test of the disk which can verify if the current situation is stable. Different tests can be started from the Disk menu. Both examines the components of the disk (heads, servo, firmware, internal memory) and the extended test also verifies the complete surface area of the drive. If such tests complete without problems (even if the drive health is lower than 100%) then the situation can be considered stable.

If any (or both) tests report problems, it is recommended to use different method for extensive testing. A good example is to overwrite the complete disk surface (not only performing read test). This can be done by the surface tests available in the Disk menu of Hard Disk Sentinel. The best way to use the Reinitialize disk surface method but different tests are available to verify the disk surface. Write tests are better as they can effectively detect and repair problems.

If the health value and the displayed text description is constant, does not change after the tests and for a longer time, the current problems can be cleared. This way the software will not show them any more, just count new problems in the future use - and until no problem is found the health value will be re-set to 100%.
To clear the existing problems, please open the "SMART" page of the disk and find the attribute(s) showing any problems (these are marked with ! sign). Click on the "Offset" column and enter a negative value, the same you can see in the "Data" column in this line (and in the text description of the drive). For example, if 5 reallocated sectors are displayed, then please specify "-5" in the Offset column for the corresponding attribute. Please check the temperature calibration page for more details about using offsets.

Anyway, it is recommended to continuously monitor such disks, especially, if two or more different problems and/or weak sectors displayed in the text description. Such monitoring allows to detect any (even small) new problem and gives the opportunity to perform a backup in such cases. The PRO version of the software can do this automatically.

If the health is low but above 0 %, it is not possible to ask for replacement in conditions of warranty. At this point (regardles of the actual health or the results of the test) the disk may have "too few" problems from the viewpoint of the manufacturer - so usually they refuse warranty replacement.
Generally, warranty replacement is possible only if the number of problems are higher and reaches the threshold level defined by the manufacturer. At this point, the health drops to 0 %.

Important to know that serious testing (and especially the hardware tests) can reveal more problems thus can reduce the health value more.

Maybe it is possible to use the test application provided by the manufacturer to verify disk status. It is important to know that some of these do not really fix but only hide problems which can appear again at later use. That's why it is highly recommended to continuously monitor the disk after the test software of the manufacturer is completed - especially if the health value changes in any direction.

Bad sectors?

What is a "bad sector"? How they born and how they can be fixed? Users are confused because verifying the disk surface with software (for example by using Windows Scandisk) does not report any problems or bad sectors.

S.M.A.R.T. is constantly analysing the disk surface during normal operations. If it finds a problemmatic area (one or more sectors where the data is hard is hard to read or write), it tries to read the data and copy it (reallocate) to the spare area. The original location is then (internally) marked as bad and all further read/write operations pointing to the original location is then redirected to the spare area.

When the operation is completed, the original (bad) area is not accessible by software any more. Even re-install or complete re-format will not show problems because the original bad area is not used any more. That's why software (for example Windows' Scandisk) will not find problemmatic sectors. Only the hardware security erase function will access this area (clearing these sectors also).

That's why for example DOS "format" command will never show bad sectors on most modern hard disks because of S.M.A.R.T. (except if the spare area is full but it is really hard to find a such hard disk).

Reallocation of the sectors may be completed with or without some errors (hard disks are working much better now compared to older models). But the reallocation procedure may cause system instability if it takes too much time.

The user should not notice anything about the steps described above - just when the number of bad sectors is high enough (the threshold is reached) and then S.M.A.R.T. predicts a possible failure.

A very small scratch or mote on the disk surface can cause some bad sectors. Usually, if the number of bad sectors is low, they do not cause big problems. But if their number is constantly increasing (and the displayed health value is decreasing), these can lead to failure. It is recommended to monitor your hard disk constantly if your hard disk is not 100% perfect.

SSD health - Perfect SSD with low health?

The text description may contain that the SSD is perfect but the health is relatively low. This can happen if the SSD has no errors, no signs of bad sectors (bad memory cells) or similar problems.

However, due to the wearing of the memory cells caused by write operations to the SSD, the health of the SSD is constantly decreasing. The wear-leveling feature of the SSD tries to minimise this effect - but can't be totally eliminated.

The current health of this SSD is determined by some specific S.M.A.R.T. attribute(s), for example the "#209 Remaining Drive Life" (or one or more other attributes) as mentioned by Hard Disk Sentinel. If you select that attribute on the S.M.A.R.T. page, you can check how it changed over time on the graph below the list.

If the health of the SSD is low, it is possible that the data stored in the memory cells will become damaged or lost.

Hard disks are not affected by this (wear) effect, so it is possible to find lots of hard disks with 100% health (even after years of usage). In contrast, the health of the SSDs is constantly decreasing over time.

Hard Disk Test

It is recommended to periodically analyse and verify the disk status (especially if the hard disk is not perfect, the health is below 100%). Hard Disk Sentinel offers high number of tests from the Disk menu: including hardware self-tests, to analyse the functionality of the hard disk components and the entire surface. These hardware tests can be started from the Disk menu, the Information page or automatically (scheduled) on the Operations page (Professional version only).

Also the Disk menu Surface test can be used to verify the disk surface with both read and write tests to reveal and fix disk issues.